*******************************************************************
* Program:	ASSIGN_BUF.SPS
* Description:	This program attaches weights for every
*		record.  Likewise add variables to PART2
*		and PART3 coming from PART1.
* Author:	faj118
*******************************************************************

**********************************************.
*  Assign BUF to every record in PART1.
**********************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\Survey Data\IRWS\Dbf\BUF_ALL.sav'
 /BY ein.
EXECUTE.

VARIABLE LABELS psic1 'Major Industry' .
VALUE LABELS psic1
	'C' "Mining & Quarrying"
	'D' "Manufacturing"
	'E' "Electricity, Gas & Water"
	'F' "Construction"
	'G' "Wholesale & Retail Trade"
	'H' "Hotels & Restaurants"
	'I' "Transport, Storage & Communications"
	'J' "Financial Intermediation"
	'K' "Real Estates, Renting & Business Act."
	'M' "Private Education Services"
	'N' "Health & Social Work Except Public"
	'O' "Other Comm., Social & Personal Svc Act.".

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'
   /COMPRESSED.

**********************************************.
*  Assign BUF to every record in PART2.
**********************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\Survey Data\IRWS\Dbf\BUF_ALL.sav'
 /BY ein.
EXECUTE.

VARIABLE LABELS psic1 'Major Industry' .
VALUE LABELS psic1
	'C' "Mining & Quarrying"
	'D' "Manufacturing"
	'E' "Electricity, Gas & Water"
	'F' "Construction"
	'G' "Wholesale & Retail Trade"
	'H' "Hotels & Restaurants"
	'I' "Transport, Storage & Communications"
	'J' "Financial Intermediation"
	'K' "Real Estates, Renting & Business Act."
	'M' "Private Education Services"
	'N' "Health & Social Work Except Public"
	'O' "Other Comm., Social & Personal Svc Act.".

MATCH FILES /FILE=*
 /FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'
 /RENAME (a4 a5f a5m a5ns a61 a62 a7 a8 ate b11_1 b11_2 b11_3 b11_4 b11_5
  b11_6 b121 b122 b123 b124 b125 b126 b127 b128 b129 b129s1 b129s2 b129s3 b131
  b132 b133 b134 b135 b141a b141y b142a b142y b143a b143y b144a b144y b145a
  b145y b21 b21no b221 b222 b223 b224 b225 b226 b231 b232 b233 b234 b235 b236
  b237 b238 b241 b2410 b2411 b2412 b2412s1 b2412s2 b2412s3 b242 b243 b244 b245
  b246 b247 b248 b249 b251 b2510 b2510n b2511 b2511n b2512 b2512n b2512o2n
  b2512o3n b2512s1 b2512s1n b2512s2 b2512s3 b251n b252 b252n b253 b253n b254
  b254n b255 b255n b256 b256n b257 b257n b258 b258n b259 b259n buf majocc psic
  psic1 = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37
  d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56
  d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75
  d76 d77 d78 d79 d80 d81
 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100
  d101 d102 d103 d104 d105 d106)
 /BY ein
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57
  d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76
  d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95
  d96 d97 d98 d99 d100 d101 d102 d103 d104 d105 d106.
EXECUTE.

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'
   /COMPRESSED.

**********************************************.
*  Assign BUF to every record in PART3.
**********************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\Survey Data\IRWS\Dbf\BUF_ALL.sav'
 /BY ein.
EXECUTE.

VARIABLE LABELS psic1 'Major Industry' .
VALUE LABELS psic1
	'C' "Mining & Quarrying"
	'D' "Manufacturing"
	'E' "Electricity, Gas & Water"
	'F' "Construction"
	'G' "Wholesale & Retail Trade"
	'H' "Hotels & Restaurants"
	'I' "Transport, Storage & Communications"
	'J' "Financial Intermediation"
	'K' "Real Estates, Renting & Business Act."
	'M' "Private Education Services"
	'N' "Health & Social Work Except Public"
	'O' "Other Comm., Social & Personal Svc Act.".

MATCH FILES /FILE=*
 /FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'
 /RENAME (a4 a5f a5m a5ns a61 a62 a7 a8 ate b11_1 b11_2 b11_3 b11_4 b11_5
  b11_6 b121 b122 b123 b124 b125 b126 b127 b128 b129 b129s1 b129s2 b129s3 b131
  b132 b133 b134 b135 b141a b141y b142a b142y b143a b143y b144a b144y b145a
  b145y b21 b21no b221 b222 b223 b224 b225 b226 b231 b232 b233 b234 b235 b236
  b237 b238 b241 b2410 b2411 b2412 b2412s1 b2412s2 b2412s3 b242 b243 b244 b245
  b246 b247 b248 b249 b251 b2510 b2510n b2511 b2511n b2512 b2512n b2512o2n
  b2512o3n b2512s1 b2512s1n b2512s2 b2512s3 b251n b252 b252n b253 b253n b254
  b254n b255 b255n b256 b256n b257 b257n b258 b258n b259 b259n buf majocc psic
  psic1 = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d23 d24 d26 d27 d28 d30 d32 d34 d35 d38 d39 d40 d41 d42 d43 d44 d45
  d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64
  d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 d77 d78 d79 d80 d81 d82 d83
  d84 d85 d86 d87 d88 d89
 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 d101 d102 d103 d104 d105 d106
  d107 d108 d109 d110 d111 d112 d113 d114)
 /BY ein
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d12 d13 d14 d15 d16 d17 d18 d19 d20
  d21 d23 d24 d26 d27 d28 d30 d32 d34 d35 d38 d39 d40 d41 d42 d43 d44 d45 d46
  d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65
  d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 d77 d78 d79 d80 d81 d82 d83 d84
  d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 d101 d102
  d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114.
EXECUTE.

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'
   /COMPRESSED.