*******************************************************************.
* Program:	B12.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($vacancy +$t) BY ate +$t
  /STATISTICS
  count( $vacancy( F5.0 ) 'Number')
  cpct( $vacancy( F7.1 ) 'Percent') /TITLE  'Table B12A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($vacancy +$t) BY ate +$t
  /STATISTICS
  count( $vacancy( F5.0 ) 'Number')
  cpct( $vacancy( F7.1 ) 'Percent') /TITLE  'Table B12B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($vacancy +$t) BY ate +$t
  /STATISTICS
  count( $vacancy( F5.0 ) 'Number')
  cpct( $vacancy( F7.1 ) 'Percent') /TITLE  'Table B12C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


************ This will generate 1-digit industry ****************.
***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE= psic1 +$t BY a7 >($vacancy +$t) 
  /STATISTICS
  count( $vacancy( F5.0 ) 'Number')
  cpct( $vacancy( F7.1 ) 'Percent') /TITLE  'Table B12D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($vacancy +$t) 
  /STATISTICS
  count( $vacancy( F5.0 ) 'Number')
  cpct( $vacancy( F7.1 ) 'Percent') /TITLE  'Table B12E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

******** ALL *********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($vacancy +$t) 
  /STATISTICS
  count( $vacancy( F5.0 ) 'Number')
  cpct( $vacancy( F7.1 ) 'Percent') /TITLE  'Table B12F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

