*********************************************************************.
* Program:	B21.SPS
* Description:	This program generates statistical tables
*		by 3-4 digit industry for analytical purposes. 
* Author:	faj118.
*********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(b21 = 1).
VARIABLE LABEL filter_$ 'b21 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000003 "Total" $t000002 "Total" $t000001 "Total"
  /TABLE=psic + $t000003 + psic1 + $t000002  BY a61 + a7 + $t000001 BY ate +  $t000004
  /STATISTICS
  count( ate( F5.0 ) 'Number')  
 /TITLE  'Table B21A.  NUMBER OF RESPONDING'+
  ' ESTABLISHMENTS THAT INTENTIONALLY REDUCED THE SIZE OF THEIR WORKFORCE'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b21no
  /FTOTAL $t 'Total'
  /TABLES (psic +  $t  + psic1 +  $t )
  BY b21no > (a61 + a7 +  $t )
  BY (ate + $t)
  /STATISTICS
  sum(  '')
 /TITLE  'Table B21B.  NUMBER OF EMPLOYEES THAT WERE'+
  ' INTENTIONALLY REDUCED WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP'+
  ' BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.


******* This will generate 1-digit industry *******.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  'Number')  
 /TITLE  'Table B21C.  NUMBER OF RESPONDING'+
  ' ESTABLISHMENTS THAT INTENTIONALLY REDUCED THE SIZE OF THEIR WORKFORCE'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b21no
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY b21no > (a61 + a7 +  $t )
 /STATISTICS
  sum(  '')
 /TITLE  'Table B21D.  NUMBER OF EMPLOYEES THAT WERE'+
  ' INTENTIONALLY REDUCED WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP'+
  ' BY INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
