*******************************************************************
* Program:	B22.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(b21 = 1).
VARIABLE LABEL filter_$ 'b21 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($redwork +$t) BY ate +$t
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($redwork +$t) BY ate +$t
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($redwork +$t) BY ate +$t
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($redwork +$t) BY ate +$t
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE., TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This generates 1-digt industry ********.

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) 'Number')
  cpct( $redwork( F7.1 ) 'Percent') /TITLE  'Table B22D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE., TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.
