*******************************************************************
* Program:	B23.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.
WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(b21 = 1).
VARIABLE LABEL filter_$ 'b21 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors ' FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($factors +$t) BY ate +$t
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($factors +$t) BY ate +$t
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($factors +$t) BY ate +$t
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($factors +$t) BY ate +$t
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


*******This will generate 1-digit industry *******.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors ' FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($factors +$t)
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($factors +$t)
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($factors +$t)
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($factors +$t) 
  /STATISTICS
  count( $factors( F5.0 ) 'Number')
  cpct( $factors( F7.1 ) 'Percent') /TITLE  'Table B23D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.
