*******************************************************************.
* Program:	B24.SPS.
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(b21 = 1).
VARIABLE LABEL filter_$ 'b21 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($reasons +$t) BY ate +$t
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($reasons +$t) BY ate +$t
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($reasons +$t) BY ate +$t
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($reasons +$t) BY ate +$t
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry *******.

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($reasons +$t) 
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($reasons +$t) 
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

******* ALL *******.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($reasons +$t) 
  /STATISTICS
  count( $reasons( F5.0 ) 'Number')
  cpct( $reasons( F7.1 ) 'Percent') /TITLE  'Table B24D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.
