*******************************************************************
* Program:	B25.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(b226=1).
VARIABLE LABEL filter_$ 'b226=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($dis_rea +$t) BY ate +$t
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($dis_rea +$t) BY ate +$t
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($dis_rea +$t) BY ate +$t
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($dis_rea +$t) BY ate +$t
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******* This will generate 1-digit industry *******.

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.


***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) 'Number')
  cpct( $dis_rea( F7.1 ) 'Percent') /TITLE  'Table B25D.  NUMBER OF RESPONDING ESTABLISHMENTS AND EMPLOYEES DISMISSED BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.


******* This will generate number of employees dismissed *******.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b251n b252n b253n b254n b255n b256n b257n b258n b259n b2510n b2511n b2512n   
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a7 > (b251n+ b252n+ b253n+ b254n+ b255n+ b256n+ b257n+ b258n+ b259n+ b2510n+ b2511n+ b2512n) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table B25E1 - NUMBER OF EMPLOYEES DISMISSED WITH OR WITHOUT'+
 ' UNION BY INDUSTRY, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b251n b252n b253n b254n b255n b256n b257n b258n b259n b2510n b2511n b2512n   
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (b251n+ b252n+ b253n+ b254n+ b255n+ b256n+ b257n+ b258n+ b259n+ b2510n+ b2511n+ b2512n) 
  /STATISTICS
  sum(  'Number') /TITLE  'Table B25E2 - NUMBER OF EMPLOYEES DISMISSED WITH OR WITHOUT'+
 ' UNION BY INDUSTRY, PHILIPPINES: 1999'.


* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b251n b252n b253n b254n b255n b256n b257n b258n b259n b2510n b2511n b2512n   
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > (b251n+ b252n+ b253n+ b254n+ b255n+ b256n+ b257n+ b258n+ b259n+ b2510n+ b2511n+ b2512n) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table B25F - NUMBER OF EMPLOYEES DISMISSED WITH OR WITHOUT'+
 ' UNION BY INDUSTRY, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b251n b252n b253n b254n b255n b256n b257n b258n b259n b2510n b2511n b2512n   
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (b251n+ b252n+ b253n+ b254n+ b255n+ b256n+ b257n+ b258n+ b259n+ b2510n+ b2511n+ b2512n) 
  /STATISTICS
  sum(  'Number') /TITLE  'Table B25F2 - NUMBER OF EMPLOYEES DISMISSED WITH OR WITHOUT'+
 ' UNION BY INDUSTRY, PHILIPPINES: 1999'.
