***************************************************************************.
* Program:	BUF_ALL.SPS.
* Description:	This program translates the following
*		ACCESS files to SPSS files.  
*		 - Weights without change to BUF_NOCHG.sav
*		 - Weights with change to BUF_CHG.sav.
*                       This also merges BUF_CHG.sav and
*		BUF_NOCHG.sav files to come up with 
*   		a consolidated file BUF_ALL.sav.
* Author:	faj118
**************************************************************************.

***********************************************************.
*  Weights for records without change in PSIC/ATE.
***********************************************************.
GET DATA /TYPE=ODBC /CONNECT=
'DSN=MS Access 97 Database;DBQ=c:\Survey Data\IRWS\1999IRWS.mdb;'
  'DriverId=281;FIL=MS Access;MaxBufferSize=2048;PageTimeout=5;'
 /SQL =
'SELECT  `T23`.`EIN` AS `EIN`,  `T23`.`PSIC` AS `PSIC`,  `T23`.`ATE` AS '
 '`ATE`,  `T23`.`BUF` AS `BUF` FROM  `c:\Survey '
  'Data\IRWS\1999IRWS`.`Weights without change` `T23`'
.
VARIABLE LABELS  EIN "EIN" PSIC "PSIC" ATE "ATE" BUF "BUF".

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\BUF_NOCHG.sav'
   /COMPRESSED.

***********************************************************.
*  Weights for records with change in PSIC/ATE.
***********************************************************.
GET DATA /TYPE=ODBC /CONNECT=
'DSN=MS Access 97 Database;DBQ=c:\Survey Data\IRWS\1999IRWS.mdb;'
  'DriverId=281;FIL=MS Access;MaxBufferSize=2048;PageTimeout=5;'
 /SQL =
'SELECT  `T22`.`EIN` AS `EIN`,  `T22`.`PSIC` AS `PSIC`,  `T22`.`ATE` AS '
 '`ATE`,  `T22`.`BUF` AS `BUF` FROM  `c:\Survey '
  'Data\IRWS\1999IRWS`.`Weights with change` `T22`'
.
VARIABLE LABELS  EIN "EIN" PSIC "PSIC" ATE "ATE" BUF "BUF".

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\BUF_CHG.sav'
   /COMPRESSED.


ADD FILES /FILE=*
 /FILE='C:\Survey Data\IRWS\Dbf\BUF_NOCHG.sav'.
EXECUTE.

STRING psic1 (A1).
COMPUTE psic1 = SUBSTR(psic,1,1) .
VARIABLE LABELS psic1 'Major Industry' .
VALUE LABELS psic1
	'C' "Mining & Quarrying"
	'D' "Manufacturing"
	'E' "Electricity, Gas & Water"
	'F' "Construction"
	'G' "Wholesale & Retail Trade"
	'H' "Hotels & Restaurants"
	'I' "Transport, Storage & Communications"
	'J' "Financial Intermediation"
	'K' "Real Estates, Renting & Business Act."
	'M' "Private Education Services"
	'N' "Health & Social Work Except Public"
	'O' "Other Comm., Social & Personal Svc Act.".

EXECUTE .

SORT CASES BY
  ein (A) .

VARIABLE LABELS psic 'INDUSTRY'.
VALUE LABELS psic
	'C10' "Metallic Ore Mining"
	'C11' "Non-Metallic Mining and Quarrying"
	'D15' "Manufacture of Food Products"
	'D155' "Manufacture of Beverages"
	'D16' "Manufacture of Tobacco Products"
	'D17' "Manufacture of Textiles"
	'D18' "Manufacture of Wearing Apparel"
	'D19' "Tanning & Dressing of Leather"
	'D192' "Manufacture of Footwear"
	'D20' "Mfg of Articles of Bamboo, Cane, Rattan & the Like"	
	'D201' "Manufacture of Wood, Wood Products & Cork"
	'D21' "Manufacture of Paper & Paper Products"
	'D22' "Publishing, Printing & Reproduction of Recorded Media"
	'D23' "Mfg of Coke, Refined Petroleum & Other Fuel Products"
	'D24' "Manufacture of Chemicals and Chemical Products"
	'D251' "Manufacture of Rubber Products"
	'D252' "Manufacture of Plastic Products"
	'D261' "Manufacture of Glass and Glass Products"
	'D262' "Manufacture of Cement"
	'D269' "Manufacture of Other Non-Mettalic Mineral Products, n.e.c."
	'D27' "Manufacture of Basic Metals"
	'D28' "Manufacture of Fabricated Metal Products"
	'D29' "Manufacture of Machinery and Equipment"
	'D30' "Manufacture of Office, Accounting and Computing Machinery"
	'D31' "Manufacture of Electrical Machinery and Apparatus"
	'D32' "Mfg of Radio, Television & Communication Equipt. & Apparatus"
	'D33' "Mfg of Med, Precision & Optical Instrument ,Watches & Clocks"
	'D34' "Manufacture of Motor Vehicles, Trailers and Semi-Trailers"
	'D35' "Manufacture of Other Transport Equipment"
	'D36' "Manufacture and Repair of Furniture"
	'D37' "Recycling"
	'D39' "Manufacturing, N.E.C."
	'E40' "Electricity, Gas, Steam and Hot Water Supply"
	'E41' "Collection, Purification and Distribution of Water"
	'F45' "Construction"
	'G50' "Sale, Maintenance & Repair of Motor Vehicles & Motorcycles"
	'G51' "Wholesale Trade and Commission Trade"
	'G52' "Retail Trade, Repair of Personal and Household Goods"
	'H55' "Hotels and Restaurants"
	'I60' "Land Transport; Transport Via Pipelines"
	'I61' "Water Transport"
	'I62' "Air Transport"
	'I63' "Support & Auxiliary Transport Acitivities"
	'I64' "Post and Telecommunications"
	'J65' "Banking Institutions except Central Banking"
	'J66' "Non-Bank Financial Intermediation"
	'J67' "Insurance and Pension Funding"
	'J68' "Activities Auxiliary to Financial Intermediation"
	'K70' "Real Estate Activities"
	'K71' "Renting of Machinery & Equipment W/out Operator"
	'K72' "Computer and Related Activities"
	'K73' "Research and Development"
	'K74' "Miscellaneous Business Activities"
	'M81' "Private Education Services"
	'N85' "Health and Social Work"
	'O90' "Sewage & Refuse Disposal, Sanitation & Similar Activities"
	'O92' "Recreational, Cultural and Sporting Activities"
	'O93' "Other Service Activities".

VARIABLE LABELS ate 'Employment Group'.
VALUE LABELS ate
	3 "20 - 49"
	5 "50 - 199"
	6 "200 & over".

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\BUF_ALL.sav'
   /COMPRESSED.


