*******************************************************************
* Program:	C4ALLOW.SPS
* Description:	This program generates statistical tables
*		for allowances, bonuses and gratuities. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

WEIGHT
  BY buf .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > (STATISTICS) > ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11 >
  (STATISTICS) + $t000013 + c4a12s1c > (STATISTICS) + $t000014 )  BY ate + $t000015 
 /TITLE  'Table C4AB1.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > (STATISTICS) > ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11>
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS) + $t000014  ) BY ate + $t000015 
 /TITLE  'Table C4AB2.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES ANDS GRATUITIES GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11>
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS) + $t000014  ) BY ate + $t000015 
 /TITLE  'Table C4AB3.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES ANDS GRATUITIES GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry ******.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11 >
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS)  + $t000014 )  
 /TITLE  'Table C4AB4.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11 >
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS) + $t000014 )
 /TITLE  'Table C4AB5.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11>
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS) + $t000014  )
 /TITLE  'Table C4AB6.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.