*******************************************************************
* Program:	C4LEAVE.SPS
* Description:	This program generates statistical tables
*		for leave benefit. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

WEIGHT
  BY buf .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > (STATISTICS) > ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  )  BY ate + $t000014 
 /TITLE  'Table C4LB1.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > (STATISTICS) > ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  )  BY ate + $t000014 
 /TITLE  'Table C4LB2.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry ******.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  ) 
 /TITLE  'Table C4LB1.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  ) 
 /TITLE  'Table C4LB2.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  ) 
 /TITLE  'Table C4LB3.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.