*******************************************************************
* Program:	C4OTH.SPS
* Description:	This program generates statistical tables
*		for other welfare benefits. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

WEIGHT
  BY buf .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > (STATISTICS) > ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11 >
  (STATISTICS) + $t000013 + c4o12s1c > (STATISTICS) + $t000014 + c4o13s1c > (STATISTICS) + $t000015 )
  BY ate + $t000016 
 /TITLE  'Table C4OW1.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > (STATISTICS) > ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11>
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS) + $t000014 + c4o13s1c > (STATISTICS) + $t000015 ) 
  BY ate + $t000016 
 /TITLE  'Table C4OW2.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry ******.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11 >
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS)  + $t000014 + c4o13s1c > (STATISTICS)  + $t000015 )  
 /TITLE  'Table C4OW1.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11 >
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS) + $t000014 + c4o13s1c > (STATISTICS) + $t000015 )
 /TITLE  'Table C4OW2.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic1 + $t000002  BY ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11>
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS) + $t000014 + c4o12s1c > (STATISTICS) + $t000015)
 /TITLE  'Table C4OW3.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.