*******************************************************************.
* Program:	C4SOCIAL.SPS.
* Description:	This program generates statistical tables
*		for social security schemes. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

WEIGHT
  BY buf .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > (STATISTICS) > ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003  )  BY ate +
  $t000013  
 /TITLE  'Table C4SS1.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > (STATISTICS) > ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003  )  BY ate +
  $t000013  
 /TITLE  'Table C4SS2.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003 )  BY ate +
  $t000013  
 /TITLE  'Table C4SS3.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES,'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry ******.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003  )  
 /TITLE  'Table C4SS4.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY,  PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003  )  
 /TITLE  'Table C4SS5.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic1 + $t000002  BY c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003   
 /TITLE  'Table C4SS6.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

