*******************************************************************
* Program:	C6.SPS
* Description:	This program generates statistical tables
*		for two variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

WEIGHT
  BY buf .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( c61s + $t000003 + c61v + $t000004 )  BY
  ate + $t000004
  /STATISTICS
  count( c61s( F5.0 ) 'Number')
  cpct( c61s( PCT5.1 ) 'Percent')
  count( c61v( F5.0 ) 'Number')
  cpct( c61v( PCT5.1 ) 'Percent')
 /TITLE  'Table C6A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( c61s + $t000003 + c61v + $t000004  )  BY
  ate + $t000004
  /STATISTICS
  count( c61s( F5.0 ) 'Number')
  cpct( c61s( PCT5.1 ) 'Percent')
  count( c61v( F5.0 ) 'Number')
  cpct( c61v( PCT5.1 ) 'Percent')
 /TITLE  'Table C6B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED,'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( c61s + $t000003 + c61v + $t000004  ) 
  /STATISTICS
  count( c61s( F5.0 ) 'Number')
  cpct( c61s( PCT5.1 ) 'Percent')
  count( c61v( F5.0 ) 'Number')
  cpct( c61v( PCT5.1 ) 'Percent')
 /TITLE  'Table C6C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( c61s + $t000003 + c61v + $t000004 )  
  /STATISTICS
  count( c61s( F5.0 ) 'Number')
  cpct( c61s( PCT5.1 ) 'Percent')
  count( c61v( F5.0 ) 'Number')
  cpct( c61v( PCT5.1 ) 'Percent')
 /TITLE  'Table C6D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY  (c61s + $t000003 + c61v + $t000004 )  
  /STATISTICS
  count( c61s( F5.0 ) 'Number')
  cpct( c61s( PCT5.1 ) 'Percent')
  count( c61v( F5.0 ) 'Number')
  cpct( c61v( PCT5.1 ) 'Percent')
 /TITLE  'Table C6E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED,'+
 ' PHILIPPINES: 1999'.
