********************************************************************************************.
*  Program Name:		CONVERT_MAIN_DATA.SPS.
*  Description:			This program converts the IRWS main database
* 				with STATUS = "RET" OR "RFV" 
*                                               from Microsoft Access to SPSS.
*  Author:			faj118.
*********************************************************************************************.

* The password appearing in this syntax
* may not work after this session.
* You must change it to the correct
* password to execute it again.
GET CAPTURE ODBC /CONNECT='DSN=MS Access 97 Database;DBQ=c:\Survey'+
 ' Data\IRWS\1999IRWS.mdb;DefaultDir=c:\Survey Data\IRWS;DriverId=25;FIL=MS'+
 ' Access;MaxBufferSize=512;PageTimeout=5;'
 /SQL = "SELECT  `T0`.`EIN` AS `EIN`,  `T0`.`NAME` AS `OLDNAME`,  "
 "`T0`.`R_NAME` AS `NEWNAME`,  `T0`.`ADD1` AS `OLDADD1`,  `T0`.`R_ADD1` AS "
 "`NEWADD1`,  `T0`.`REG` AS `OLDREG`,  `T0`.`R_REG` AS `NEWREG`,  "
 "`T0`.`PROV` AS `OLDPROV`,  `T0`.`R_PROV` AS `NEWPROV`,  `T0`.`CITY_MUN` "
 "AS `OLD_C_M`,  `T0`.`R_CITY_MUN` AS `NEW_C_M`,  `T0`.`BGY` AS `OLDBGY`,  "
 "`T0`.`R_BGY` AS `NEWBGY`,  `T0`.`PSIC` AS `OLDPSIC`,  `T0`.`R_PSIC` AS "
 "`NEWPSIC`,  `T0`.`ATE` AS `OLDATE`,  `T0`.`R_ATE` AS `NEWATE`,  "
 "`T0`.`EMP` AS `OLDEMP`,  `T0`.`R_EMP` AS `NEWEMP`,  `T0`.`STATUS` AS "
 "`STATUS`,  `T0`.`PSIC_O` AS `OPSIC34`,  `T0`.`PSIC_R` AS `PSIC34`,  "
 "`T0`.`ATE_O` AS `O_ATEGRP`,  `T0`.`ATE_R` AS `N_ATEGRP` FROM  `c:\Survey "
 "Data\IRWS\1999IRWS`.`1999IRWS` `T0` WHERE `T0`.`STATUS` = 'RET' OR "
 "`T0`.`STATUS` = 'RFV' ".
Execute.
VARIABLE LABELS EIN "EIN" OLDNAME "NAME" NEWNAME "R_NAME" OLDADD1 "ADD1"
  NEWADD1 "R_ADD1" OLDREG "REG" NEWREG "R_REG" OLDPROV "PROV" NEWPROV "R_PROV"
  OLD_C_M "CITY_MUN" NEW_C_M "R_CITY_MUN" OLDBGY "BGY" NEWBGY "R_BGY" OLDPSIC
  "PSIC" NEWPSIC "R_PSIC" OLDATE "ATE" NEWATE "R_ATE" OLDEMP "EMP" NEWEMP
  "R_EMP" STATUS "STATUS" OPSIC34 "PSIC_O" PSIC34 "PSIC_R" O_ATEGRP "ATE_O"
  N_ATEGRP "ATE_R" .

****************************************************
* Generate 3-4 digit industry code for old psic
****************************************************
compute opsic34 = SUBSTR(oldpsic,1,3).
EXECUTE .
IF (opsic34 = "O91") opsic34 = "" .
EXECUTE .
IF (opsic34 = "O94") opsic34 = "" .
EXECUTE .
IF (opsic34 = "O95") opsic34 = "" .
EXECUTE .
IF (SUBSTR(oldpsic,1,4) = "D155") opsic34 = "D155" .
EXECUTE .
IF (SUBSTR(oldpsic,1,4) <> "D155" and SUBSTR(oldpsic,1,3) = "D15") opsic34 = "D15".
EXECUTE .
IF (SUBSTR(oldpsic,1,4) = "D192") opsic34 = "D192" .
EXECUTE .
IF (SUBSTR(oldpsic,1,4) = "D201") opsic34 = "D201" .
EXECUTE .
IF (opsic34 = "D25" or opsic34 = "D26") opsic34 = SUBSTR(oldpsic,1,4) .
EXECUTE .
IF (oldpsic = "I64110") opsic34 = "" .
EXECUTE .
IF (oldpsic = "J65100") opsic34 = "" .
EXECUTE .
IF (SUBSTR(oldpsic,1,5) <> "N8511" and SUBSTR(oldpsic,1,3) = "N85") opsic34 = SUBSTR(oldpsic,1,3) .
EXECUTE .

******************************************************
* Generate 3-4 digit industry code for new psic
******************************************************
compute psic34 = SUBSTR(newpsic,1,3).
EXECUTE .
IF (psic34 = "O91") psic34 = "" .
EXECUTE .
IF (psic34 = "O94") psic34 = "" .
EXECUTE .
IF (psic34 = "O95") psic34 = "" .
EXECUTE .
IF (SUBSTR(newpsic,1,4) = "D155") psic34 = "D155" .
EXECUTE .
IF (SUBSTR(newpsic,1,4) <> "D155" and SUBSTR(newpsic,1,3) = "D15") psic34 = "D15".
EXECUTE .
IF (SUBSTR(newpsic,1,4) = "D192") psic34 = "D192" .
EXECUTE .
IF (SUBSTR(newpsic,1,4) = "D201") psic34 = "D201" .
EXECUTE .
IF (psic34 = "D25" or psic34 = "D26") psic34 = SUBSTR(newpsic,1,4) .
EXECUTE .
IF (newpsic = "I64110") psic34 = "" .
EXECUTE .
IF (newpsic = "J65100") psic34 = "" .
EXECUTE .
IF (SUBSTR(newpsic,1,5) <> "N8511" and SUBSTR(newpsic,1,3) = "N85") psic34 = SUBSTR(newpsic,1,3) .
EXECUTE .

RECODE
  oldate
  (3=3)  (4 thru 5=5)  (ELSE=6)  INTO  o_ategrp .
EXECUTE .

RECODE
  newate
  (3=3)  (4 thru 5=5)  (ELSE=6)  INTO  n_ategrp .
EXECUTE .

SORT CASES BY
  ein (A) .

SAVE OUTFILE='C:\Survey Data\IRWS\Dbf\IRWSMAINDATA.sav'
   /COMPRESSED.

