*******************************************************************.
* Program:	D12.SPS.
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($rating +$t) BY ate +$t
  /STATISTICS
  count( $rating( F5.0 ) 'Number')
  cpct( $rating( F7.1 ) 'Percent') /TITLE  'Table D12A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN  EMPLOYEES & MANAGEMENT, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($rating +$t) BY ate +$t
  /STATISTICS
  count( $rating( F5.0 ) 'Number')
  cpct( $rating( F7.1 ) 'Percent') /TITLE  'Table D12B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN EMPLOYEES & MANAGEMNET, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($rating +$t) BY ate +$t
  /STATISTICS
  count( $rating( F5.0 ) 'Number')
  cpct( $rating( F7.1 ) 'Percent') /TITLE  'Table D12C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN EMPLOYEES & MANAGEMNET,' +
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******* This will generate 1-digit industry *******.
***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($rating +$t)
  /STATISTICS
  count( $rating( F5.0 ) 'Number')
  cpct( $rating( F7.1 ) 'Percent') /TITLE  'Table D12D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN  EMPLOYEES & MANAGEMENT, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($rating +$t) 
  /STATISTICS
  count( $rating( F5.0 ) 'Number')
  cpct( $rating( F7.1 ) 'Percent') /TITLE  'Table D12E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN EMPLOYEES & MANAGEMNET, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($rating +$t) 
  /STATISTICS
  count( $rating( F5.0 ) 'Number')
  cpct( $rating( F7.1 ) 'Percent') /TITLE  'Table D12F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN EMPLOYEES & MANAGEMENT'+
 ' AND INDUSTRY, PHILIPPINES: 1999'.