*******************************************************************
* Program:	D13.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($communi +$t) BY ate +$t
  /STATISTICS
  count( $communi( F5.0 ) 'Number')
  cpct( $communi( F7.1 ) 'Percent') /TITLE  'Table D13A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($communi +$t) BY ate +$t
  /STATISTICS
  count( $communi( F5.0 ) 'Number')
  cpct( $communi( F7.1 ) 'Percent') /TITLE  'Table D13B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($communi +$t) BY ate +$t
  /STATISTICS
  count( $communi( F5.0 ) 'Number')
  cpct( $communi( F7.1 ) 'Percent') /TITLE  'Table D13C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, '+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry *******.
***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($communi +$t) 
  /STATISTICS
  count( $communi( F5.0 ) 'Number')
  cpct( $communi( F7.1 ) 'Percent') /TITLE  'Table D13D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($communi +$t) 
  /STATISTICS
  count( $communi( F5.0 ) 'Number')
  cpct( $communi( F7.1 ) 'Percent') /TITLE  'Table D13E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($communi +$t) 
  /STATISTICS
  count( $communi( F5.0 ) 'Number')
  cpct( $communi( F7.1 ) 'Percent') /TITLE  'Table D13F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.