*******************************************************************.
* Program:	D14.SPS.
* Description:	This program generates statistical tables
*		for multiple variable. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

******** STAFFING LEVELS **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d141 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d141( F5.0 ) 'Number')
  cpct( d141( PCT5.1 ) 'Percent')
 /TITLE  'Table D141A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d141 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d141( F5.0 ) 'Number')
  cpct( d141( PCT5.1 ) 'Percent')
 /TITLE  'Table D141B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d141 + $t000003  ) 
  /STATISTICS
  count( d141( F5.0 ) 'Number')
  cpct( d141( PCT5.1 ) 'Percent')
 /TITLE  'Table D141A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d141 + $t000003 )  
  /STATISTICS
  count( d141( F5.0 ) 'Number')
  cpct( d141( PCT5.1 ) 'Percent')
 /TITLE  'Table D141B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d141 + $t000003   
  /STATISTICS
  count( d141( F5.0 ) 'Number')
  cpct( d141( PCT5.1 ) 'Percent')
 /TITLE  'Table D141C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.


******** WAGE INCREASES ***************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d142 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d142( F5.0 ) 'Number')
  cpct( d142( PCT5.1 ) 'Percent')
 /TITLE  'Table D142A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d142 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d142( F5.0 ) 'Number')
  cpct( d142( PCT5.1 ) 'Percent')
 /TITLE  'Table D142B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d142 + $t000003  ) 
  /STATISTICS
  count( d142( F5.0 ) 'Number')
  cpct( d142( PCT5.1 ) 'Percent')
 /TITLE  'Table D142A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d142 + $t000003 )  
  /STATISTICS
  count( d142( F5.0 ) 'Number')
  cpct( d142( PCT5.1 ) 'Percent')
 /TITLE  'Table D142B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d142 + $t000003   
  /STATISTICS
  count( d142( F5.0 ) 'Number')
  cpct( d142( PCT5.1 ) 'Percent')
 /TITLE  'Table D142C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.


******** OCCUPATIONAL HEALTH & SAFETY  *************************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d143 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d143( F5.0 ) 'Number')
  cpct( d143( PCT5.1 ) 'Percent')
 /TITLE  'Table D143A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d143 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d143( F5.0 ) 'Number')
  cpct( d143( PCT5.1 ) 'Percent')
 /TITLE  'Table D143B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d143 + $t000003  ) 
  /STATISTICS
  count( d143( F5.0 ) 'Number')
  cpct( d143( PCT5.1 ) 'Percent')
 /TITLE  'Table D143A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d143 + $t000003 )  
  /STATISTICS
  count( d143( F5.0 ) 'Number')
  cpct( d143( PCT5.1 ) 'Percent')
 /TITLE  'Table D143B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d143 + $t000003   
  /STATISTICS
  count( d143( F5.0 ) 'Number')
  cpct( d143( PCT5.1 ) 'Percent')
 /TITLE  'Table D143C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.


******** INTRO OF NEW TECHNOLOGY **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d144 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d144( F5.0 ) 'Number')
  cpct( d144( PCT5.1 ) 'Percent')
 /TITLE  'Table D144A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d144 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d144( F5.0 ) 'Number')
  cpct( d144( PCT5.1 ) 'Percent')
 /TITLE  'Table D144B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d144 + $t000003  ) 
  /STATISTICS
  count( d144( F5.0 ) 'Number')
  cpct( d144( PCT5.1 ) 'Percent')
 /TITLE  'Table D144A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d144 + $t000003 )  
  /STATISTICS
  count( d144( F5.0 ) 'Number')
  cpct( d144( PCT5.1 ) 'Percent')
 /TITLE  'Table D144B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d144 + $t000003   
  /STATISTICS
  count( d144( F5.0 ) 'Number')
  cpct( d144( PCT5.1 ) 'Percent')
 /TITLE  'Table D144C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.


******** DISMISSALS AND DISCIPLINARY ACTION **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d145 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d145( F5.0 ) 'Number')
  cpct( d145( PCT5.1 ) 'Percent')
 /TITLE  'Table D145A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d145 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d145( F5.0 ) 'Number')
  cpct( d145( PCT5.1 ) 'Percent')
 /TITLE  'Table D145B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d145 + $t000003  ) 
  /STATISTICS
  count( d145( F5.0 ) 'Number')
  cpct( d145( PCT5.1 ) 'Percent')
 /TITLE  'Table D145A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d145 + $t000003 )  
  /STATISTICS
  count( d145( F5.0 ) 'Number')
  cpct( d145( PCT5.1 ) 'Percent')
 /TITLE  'Table D145B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d145 + $t000003   
  /STATISTICS
  count( d145( F5.0 ) 'Number')
  cpct( d145( PCT5.1 ) 'Percent')
 /TITLE  'Table D145C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.


******** CHANGES IN WORK PRACTICES **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d146 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d146( F5.0 ) 'Number')
  cpct( d146( PCT5.1 ) 'Percent')
 /TITLE  'Table D146A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d146 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d146( F5.0 ) 'Number')
  cpct( d146( PCT5.1 ) 'Percent')
 /TITLE  'Table D146B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d146 + $t000003  ) 
  /STATISTICS
  count( d146( F5.0 ) 'Number')
  cpct( d146( PCT5.1 ) 'Percent')
 /TITLE  'Table D146A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d146 + $t000003 )  
  /STATISTICS
  count( d146( F5.0 ) 'Number')
  cpct( d146( PCT5.1 ) 'Percent')
 /TITLE  'Table D146B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d146 + $t000003   
  /STATISTICS
  count( d146( F5.0 ) 'Number')
  cpct( d146( PCT5.1 ) 'Percent')
 /TITLE  'Table D146C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.


******** MAJOR CHANGE IN PRODUCT/SERVICES **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d147 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d147( F5.0 ) 'Number')
  cpct( d147( PCT5.1 ) 'Percent')
 /TITLE  'Table D147A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d147 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d147( F5.0 ) 'Number')
  cpct( d147( PCT5.1 ) 'Percent')
 /TITLE  'Table D147B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d147 + $t000003  ) 
  /STATISTICS
  count( d147( F5.0 ) 'Number')
  cpct( d147( PCT5.1 ) 'Percent')
 /TITLE  'Table D147A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d147 + $t000003 )  
  /STATISTICS
  count( d147( F5.0 ) 'Number')
  cpct( d147( PCT5.1 ) 'Percent')
 /TITLE  'Table D147B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d147 + $t000003   
  /STATISTICS
  count( d147( F5.0 ) 'Number')
  cpct( d147( PCT5.1 ) 'Percent')
 /TITLE  'Table D147C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.
