*********************************************************************.
* Program:	D21.SPS
* Description:	This program generates statistical tables
*		by 3-4 digit industry for analytical purposes. 
* Author:	faj118.
*********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

COMPUTE d21m = d21t - d21f .
VARIABLE LABELS d21m 'MALE' .
EXECUTE .

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION d21t d21f d21m
  /FTOTAL $t 'Total'
  /TABLES (psic +  $t  + psic1 +  $t )
  BY ( a61 > (d21t + d21f + d21m) +  $t )
  BY (ate +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table D21A - DISTRIBUTION OF UNION MEMBERSHIP'+
 ' BY TYPE OF OWNERSHIP, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION d21t d21f d21m
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY ( a61 > (d21t + d21f + d21m) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table D21B - DISTRIBUTION OF UNION MEMBERSHIP'+
 ' BY TYPE OF OWNERSHIP, AND INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
