*********************************************************************.
* Program:	D23.SPS
* Description:	This program generates statistical tables
*		by 3-4 digit industry for analytical purposes. 
* Author:	faj118.
*********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a8 = 1).
VARIABLE LABEL filter_$ 'a8 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

COMPUTE d23m = d23t - d23f .
VARIABLE LABELS d23m 'MALE' .
EXECUTE .

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION d23t d23f d23m
  /FTOTAL $t 'Total'
  /TABLES (psic +  $t  + psic1 +  $t )
  BY ( a61 > (d23t + d23f + d23m) +  $t )
  BY (ate +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table D23A - DISTRIBUTION OF CBA COVERAGE'+
 ' BY TYPE OF OWNERSHIP, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION d23t d23f d23m
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY ( a61 > (d23t + d23f + d23m) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table D23B - DISTRIBUTION OF CBA COVERAGE'+
 ' BY TYPE OF OWNERSHIP, AND INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
