*******************************************************************
* Program:	D24.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES  TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($privil +$t) BY ate +$t
  /STATISTICS
  count( $privil( F5.0 ) 'Number')
  cpct( $privil( F7.1 ) 'Percent') /TITLE  'Table D24A.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($privil +$t) BY ate +$t
  /STATISTICS
  count( $privil( F5.0 ) 'Number')
  cpct( $privil( F7.1 ) 'Percent') /TITLE  'Table D24B.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION  BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($privil +$t) BY ate +$t
  /STATISTICS
  count( $privil( F5.0 ) 'Number')
  cpct( $privil( F7.1 ) 'Percent') /TITLE  'Table D24C.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS,'+
 ', BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******* This will generate 1-digit industry ******************.
***** WITH UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES  TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($privil +$t) 
  /STATISTICS
  count( $privil( F5.0 ) 'Number')
  cpct( $privil( F7.1 ) 'Percent') /TITLE  'Table D24D.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS' +
 ', INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($privil +$t)
  /STATISTICS
  count( $privil( F5.0 ) 'Number')
  cpct( $privil( F7.1 ) 'Percent') /TITLE  'Table D24E.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($privil +$t) 
  /STATISTICS
  count( $privil( F5.0 ) 'Number')
  cpct( $privil( F7.1 ) 'Percent') /TITLE  'Table D24F.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS,'+
 ', BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.