*******************************************************************
* Program:	D26.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $issrais 'ISSUES RAISED BY THE UNION'
   d261 d262 d263 d264 d265 d266 d267 d268 d269 d2610 d2611 d2612 d2613 d2614 d2615 d2616 d2617 d2618 d2619 d2620 d2621 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($issrais +$t) BY ate +$t
  /STATISTICS
  count( $issrais( F5.0 ) 'Number')
  cpct( $issrais( F7.1 ) 'Percent') /TITLE  'Table D26A.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' ISSUES FREQUENTLY RAISED BY THE UNION WITH MANAGEMENT,'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $issrais 'ISSUES RAISED BY THE UNION'
   d261 d262 d263 d264 d265 d266 d267 d268 d269 d2610 d2611 d2612 d2613 d2614 d2615 d2616 d2617 d2618 d2619 d2620 d2621 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($issrais +$t) BY ate +$t
  /STATISTICS
  count( $issrais( F5.0 ) 'Number')
  cpct( $issrais( F7.1 ) 'Percent') /TITLE  'Table D26B.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' ISSUES FREQUENTLY RAISED BY THE UNION WITH MANAGEMENT, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


********** This will generate 1-digit industry ***********.
***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $issrais 'ISSUES RAISED BY THE UNION'
   d261 d262 d263 d264 d265 d266 d267 d268 d269 d2610 d2611 d2612 d2613 d2614 d2615 d2616 d2617 d2618 d2619 d2620 d2621 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($issrais +$t)
  /STATISTICS
  count( $issrais( F5.0 ) 'Number')
  cpct( $issrais( F7.1 ) 'Percent') /TITLE  'Table D26C.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' ISSUES FREQUENTLY RAISED BY THE UNION WITH MANAGEMENT, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

****** ALL *******.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $issrais 'ISSUES RAISED BY THE UNION'
   d261 d262 d263 d264 d265 d266 d267 d268 d269 d2610 d2611 d2612 d2613 d2614 d2615 d2616 d2617 d2618 d2619 d2620 d2621 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($issrais +$t) 
  /STATISTICS
  count( $issrais( F5.0 ) 'Number')
  cpct( $issrais( F7.1 ) 'Percent') /TITLE  'Table D26D.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' ISSUES FREQUENTLY RAISED BY THE UNION WITH MANAGEMENT,'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.
