*******************************************************************.
* Program:	D27.SPS.
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH UNION ******.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($bar_neg +$t) BY ate +$t
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27A.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS, '+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP ******.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($bar_neg +$t) BY ate +$t
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27B.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($bar_neg +$t) BY ate +$t
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27C.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS,' +
 ', AND INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


************ This will generate 1-digit industry *****************.
***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY	a61 > ($bar_neg +$t) 
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27D.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($bar_neg +$t) 
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27E.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS,' +
 ', INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .


USE ALL.
COMPUTE filter_$=(a7=1 and d272=1 and d27comb=1).
VARIABLE LABEL filter_$ 'a7=1 and d272=1 and d27comb=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

************ This will generate 1-digit industry *****************.
***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY	a61 > ($bar_neg +$t) 
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27D.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'.


* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($bar_neg +$t) 
  /STATISTICS
  count( $bar_neg( F5.0 ) 'Number')
  cpct( $bar_neg( F7.1 ) 'Percent') /TITLE  'Table D27E.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS,' +
 ', INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .

