*******************************************************************
* Program:	D28.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $negotia 'SUBJECTS OF NEGOTIATIONS'
   d281 d282 d283 d284 d285 d286 d287 d288 d289 d2810 d2811 d2812 d2813 d2814 d2815 d2816 d2817 d2818 d2819 d2820 d2821 d2822 d2823 d2824  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($negotia +$t) BY ate +$t
  /STATISTICS
  count( $negotia( F5.0 ) 'Number')
  cpct( $negotia( F7.1 ) 'Percent') /TITLE  'Table D28A.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' SUBJECTS OF THE NEGOTIATIONS, '+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $negotia 'SUBJECTS OF NEGOTIATIONS'
   d281 d282 d283 d284 d285 d286 d287 d288 d289 d2810 d2811 d2812 d2813 d2814 d2815 d2816 d2817 d2818 d2819 d2820 d2821 d2822 d2823 d2824  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($negotia +$t) BY ate +$t
  /STATISTICS
  count( $negotia( F5.0 ) 'Number')
  cpct( $negotia( F7.1 ) 'Percent') /TITLE  'Table D28B.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' SUBJECTS OF NEGOTIATIONS, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

*********** THIS WILL GENERATE 1-DIGIT INDUSTRY *********.
***** WITH UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $negotia 'SUBJECTS OF NEGOTIATIONS'
   d281 d282 d283 d284 d285 d286 d287 d288 d289 d2810 d2811 d2812 d2813 d2814 d2815 d2816 d2817 d2818 d2819 d2820 d2821 d2822 d2823 d2824  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($negotia +$t) 
  /STATISTICS
  count( $negotia( F5.0 ) 'Number')
  cpct( $negotia( F7.1 ) 'Percent') /TITLE  'Table D28C.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' SUBJECTS OF THE NEGOTIATIONS, '+
 ' AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $negotia 'SUBJECTS OF NEGOTIATIONS'
   d281 d282 d283 d284 d285 d286 d287 d288 d289 d2810 d2811 d2812 d2813 d2814 d2815 d2816 d2817 d2818 d2819 d2820 d2821 d2822 d2823 d2824  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($negotia +$t) 
  /STATISTICS
  count( $negotia( F5.0 ) 'Number')
  cpct( $negotia( F7.1 ) 'Percent') /TITLE  'Table D28D.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' SUBJECTS OF THE NEGOTIATIONS,'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


