*******************************************************************.
* Program:	D29.SPS.
* Description:	This program generates statistical tables
*		for single variable. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d29 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d29( F5.0 ) 'Number')
  cpct( d29( PCT5.1 ) 'Percent')
 /TITLE  'Table D29A.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' OUTCOME OF THE NEGOTIATION,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( d29 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d29( F5.0 ) 'Number')
  cpct( d29( PCT5.1 ) 'Percent')
 /TITLE  'Table D29B.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' OUTCOME OF THE NEGOTIATION,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d29 + $t000003  ) 
  /STATISTICS
  count( d29( F5.0 ) 'Number')
  cpct( d29( PCT5.1 ) 'Percent')
 /TITLE  'Table D29C.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' OUTCOME OF THE NEGOTIATION,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'.

***** WITH UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( d29 + $t000003  )  
  /STATISTICS
  count( d29( F5.0 ) 'Number')
  cpct( d29( PCT5.1 ) 'Percent')
 /TITLE  'Table D29D.  NUMBER OF RESPONDING ESTABLISHMENTS WITH UNION BY'+
 ' OUTCOME OF THE NEGOTIATION,'+
 ' INDUSTRY, PHILIPPINES: 1999'.


