*********************************************************************.
* Program:	D31.SPS
* Description:	This program generates statistical tables
*		by 3-4 digit industry for analytical purposes. 
* Author:	faj118.
*********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d31 = 1).
VARIABLE LABEL filter_$ 'd31 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000003 "Total" $t000002 "Total" $t000001 "Total"
  /TABLE=psic + $t000003 + psic1 + $t000002  BY a61 + a7 + $t000001 BY ate +  $t000004
  /STATISTICS
  count( ate( F5.0 ) 'Number')  
 /TITLE  'Table D311.  NUMBER OF RESPONDING'+
  ' ESTABLISHMENTS WITH GRIEVANCE HANDLING MACHINERY'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.


******* This will generate 1-digit industry *******.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  'Number')  
/TITLE  'Table D312.  NUMBER OF RESPONDING'+
  ' ESTABLISHMENTS WITH GRIEVANCE HANDLING MACHINERY'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
