*******************************************************************
* Program:	D32.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d31 = 1).
VARIABLE LABEL filter_$ 'd31 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($grievan +$t) BY ate +$t
  /STATISTICS
  count( $grievan( F5.0 ) 'Number')
  cpct( $grievan( F7.1 ) 'Percent') /TITLE  'Table D32A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED IN SETLLING GRIEVANCES, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($grievan +$t) BY ate +$t
  /STATISTICS
  count( $grievan( F5.0 ) 'Number')
  cpct( $grievan( F7.1 ) 'Percent') /TITLE  'Table D32B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED IN SETTLING GRIEVANCES, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($grievan +$t) BY ate +$t
  /STATISTICS
  count( $grievan( F5.0 ) 'Number')
  cpct( $grievan( F7.1 ) 'Percent') /TITLE  'Table D32C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED IN SETTLING GRIEVANCES, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


***** This will generate 1-digit industry ******.
***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($grievan +$t)
  /STATISTICS
  count( $grievan( F5.0 ) 'Number')
  cpct( $grievan( F7.1 ) 'Percent') /TITLE  'Table D32D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED IN SETLLING GRIEVANCES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($grievan +$t) 
  /STATISTICS
  count( $grievan( F5.0 ) 'Number')
  cpct( $grievan( F7.1 ) 'Percent') /TITLE  'Table D32E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED IN SETTLING GRIEVANCES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

********** ALL ***********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($grievan +$t)
  /STATISTICS
  count( $grievan( F5.0 ) 'Number')
  cpct( $grievan( F7.1 ) 'Percent') /TITLE  'Table D32F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' METHODS USED IN SETTLING GRIEVANCES,'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

