*********************************************************************.
* Program:	D33.SPS
* Description:	This program generates statistical tables
*		by 3-4 digit industry for analytical purposes. 
* Author:	faj118.
*********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d33 = 1).
VARIABLE LABEL filter_$ 'd33 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000003 "Total" $t000002 "Total" $t000001 "Total"
  /TABLE=psic + $t000003 + psic1 + $t000002  BY a61 + a7 + $t000001 BY ate +  $t000004
  /STATISTICS
  count( ate( F5.0 ) 'Number')  
 /TITLE  'Table D331.  NUMBER OF RESPONDING'+
  ' ESTABLISHMENTS WITH INDUSTRIAL ACTION OCCURED IN 1998'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.


******* This will generate 1-digit industry *******.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  'Number')  
/TITLE  'Table D332.  NUMBER OF RESPONDING'+
  ' ESTABLISHMENTS WITH IDUSTRIAL ACTION OCCURED IN 1998'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
