*******************************************************************
* Program:	D34.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d33 = 1).
VARIABLE LABEL filter_$ 'd33 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($type_ia +$t) BY ate +$t
  /STATISTICS
  count( $type_ia( F5.0 ) 'Number')
  cpct( $type_ia( F7.1 ) 'Percent') /TITLE  'Table D34A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP ******.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($type_ia +$t) BY ate +$t
  /STATISTICS
  count( $type_ia( F5.0 ) 'Number')
  cpct( $type_ia( F7.1 ) 'Percent') /TITLE  'Table D34B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($type_ia +$t) BY ate +$t
  /STATISTICS
  count( $type_ia( F5.0 ) 'Number')
  cpct( $type_ia( F7.1 ) 'Percent') /TITLE  'Table D34C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION,'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


************ This will generate 1-digit industry *****************.
***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($type_ia +$t)
  /STATISTICS
  count( $type_ia( F5.0 ) 'Number')
  cpct( $type_ia( F7.1 ) 'Percent') /TITLE  'Table D34D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION  *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($type_ia +$t) 
  /STATISTICS
  count( $type_ia( F5.0 ) 'Number')
  cpct( $type_ia( F7.1 ) 'Percent') /TITLE  'Table D34E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, WITH OR WITHOUT UNION'+
 ', INDUSTRY, PHILIPPINES: 1999'.

********* ALL ********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($type_ia +$t) 
  /STATISTICS
  count( $type_ia( F5.0 ) 'Number')
  cpct( $type_ia( F7.1 ) 'Percent') /TITLE  'Table D34F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'.


