*******************************************************************
* Program:	D35.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d33 = 1).
VARIABLE LABEL filter_$ 'd33 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($indact +$t) BY ate +$t
  /STATISTICS
  count( $indact( F5.0 ) 'Number')
  cpct( $indact( F7.1 ) 'Percent') /TITLE  'Table D35A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTIONS, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($indact +$t) BY ate +$t
  /STATISTICS
  count( $indact( F5.0 ) 'Number')
  cpct( $indact( F7.1 ) 'Percent') /TITLE  'Table D35B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522 ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($indact +$t) BY ate +$t
  /STATISTICS
  count( $indact( F5.0 ) 'Number')
  cpct( $indact( F7.1 ) 'Percent') /TITLE  'Table D35C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


***** This will generate 1-digit industry *****.
***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($indact +$t) 
  /STATISTICS
  count( $indact( F5.0 ) 'Number')
  cpct( $indact( F7.1 ) 'Percent') /TITLE  'Table D35D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($indact +$t) 
  /STATISTICS
  count( $indact( F5.0 ) 'Number')
  cpct( $indact( F7.1 ) 'Percent') /TITLE  'Table D35E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTIONS, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($indact +$t) 
  /STATISTICS
  count( $indact( F5.0 ) 'Number')
  cpct( $indact( F7.1 ) 'Percent') /TITLE  'Table D35F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTIONS, '+
 ', AND INDUSTRY, PHILIPPINES: 1999'.