*******************************************************************.
* Program:	D36.SPS.
* Description:	This program generates statistical tables
*		for single variable. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d33 = 1).
VARIABLE LABEL filter_$ 'd33 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( d36 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d36( F5.0 ) 'Number')
  cpct( d36( PCT5.1 ) 'Percent')
 /TITLE  'Table D36A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( d36 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( d36( F5.0 ) 'Number')
  cpct( d36( PCT5.1 ) 'Percent')
 /TITLE  'Table D36B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' WITH OR WITHOUT UNION, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d36 + $t000003  ) 
  /STATISTICS
  count( d36( F5.0 ) 'Number')
  cpct( d36( PCT5.1 ) 'Percent')
 /TITLE  'Table D36C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d36 + $t000003  )  
  /STATISTICS
  count( d36( F5.0 ) 'Number')
  cpct( d36( PCT5.1 ) 'Percent')
 /TITLE  'Table D36D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( d36 + $t000003  )  
  /STATISTICS
  count( d36( F5.0 ) 'Number')
  cpct( d36( PCT5.1 ) 'Percent')
 /TITLE  'Table D36E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' INDUSTRY, PHILIPPINES: 1999'.
