*******************************************************************
* Program:	D38.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(d37 = 1).
VARIABLE LABEL filter_$ 'd37 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($recover +$t) BY ate +$t
  /STATISTICS
  count( $recover( F5.0 ) 'Number')
  cpct( $recover( F7.1 ) 'Percent') /TITLE  'Table D38A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($recover +$t) BY ate +$t
  /STATISTICS
  count( $recover( F5.0 ) 'Number')
  cpct( $recover( F7.1 ) 'Percent') /TITLE  'Table D38B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($recover +$t) BY ate +$t
  /STATISTICS
  count( $recover( F5.0 ) 'Number')
  cpct( $recover( F7.1 ) 'Percent') /TITLE  'Table D38C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, '+
 ', BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


************ This will generate 1-digit industry *********.
***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($recover +$t) 
  /STATISTICS
  count( $recover( F5.0 ) 'Number')
  cpct( $recover( F7.1 ) 'Percent') /TITLE  'Table D38D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($recover +$t) 
  /STATISTICS
  count( $recover( F5.0 ) 'Number')
  cpct( $recover( F7.1 ) 'Percent') /TITLE  'Table D38E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

******** ALL *********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($recover +$t) 
  /STATISTICS
  count( $recover( F5.0 ) 'Number')
  cpct( $recover( F7.1 ) 'Percent') /TITLE  'Table D38F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, '+
 ', BY INDUSTRY, PHILIPPINES: 1999'.
