*********************************************************************.
* Program:	E1.SPS
* Description:	This program generates statistical tables
*		by 3-4 digit industry for analytical purposes. 
* Author:	faj118.
*********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( e1 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e1( F5.0 ) 'Number')
  cpct( e1( PCT5.1 ) 'Percent')
 /TITLE  'Table E1A.  NUMBER OF RESPONDING ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT BY,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( e1 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e1( F5.0 ) 'Number')
  cpct( e1( PCT5.1 ) 'Percent')
  /TITLE  'Table E1B.  NUMBER OF RESPONDING ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT,'+
 ' WITH OR WITHOUT UNION, BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( e1 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e1( F5.0 ) 'Number')
  cpct( e1( PCT5.1 ) 'Percent')
  /TITLE  'Table E1C.  NUMBER OF RESPONDING ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT,'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( e1 + $t000003  )  
  /STATISTICS
  count( e1( F5.0 ) 'Number')
  cpct( e1( PCT5.1 ) 'Percent')
 /TITLE  'Table E1D.  NUMBER OF RESPONDING ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT BY,'+
 ' TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( e1 + $t000003  )  
  /STATISTICS
  count( e1( F5.0 ) 'Number')
  cpct( e1( PCT5.1 ) 'Percent')
  /TITLE  'Table E1E.  NUMBER OF RESPONDING ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'.

********** ALL ************.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( e1 + $t000003  )  
  /STATISTICS
  count( e1( F5.0 ) 'Number')
  cpct( e1( PCT5.1 ) 'Percent')
  /TITLE  'Table E1F.  NUMBER OF RESPONDING ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT,'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.