*******************************************************************
* Program:	E2.SPS
* Description:	This program generates statistical tables
*		for multiple response variables. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(e1 = 1).
VARIABLE LABEL filter_$ 'e1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a7 >($coping +$t) BY ate +$t
  /STATISTICS
  count( $coping( F5.0 ) 'Number')
  cpct( $coping( F7.1 ) 'Percent') /TITLE  'Table E2A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, WITH OR WITHOUT UNION'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY a61 >($coping +$t) BY ate +$t
  /STATISTICS
  count( $coping( F5.0 ) 'Number')
  cpct( $coping( F7.1 ) 'Percent') /TITLE  'Table E2B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, TYPE OF OWNERSHIP'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic +$t +psic1 +$t BY ($coping +$t) BY ate +$t
  /STATISTICS
  count( $coping( F5.0 ) 'Number')
  cpct( $coping( F7.1 ) 'Percent') /TITLE  'Table E2C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, '+
 ', BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


************ This will generate 1-digit industry *********.
***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($coping +$t) 
  /STATISTICS
  count( $coping( F5.0 ) 'Number')
  cpct( $coping( F7.1 ) 'Percent') /TITLE  'Table E2D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($coping +$t) 
  /STATISTICS
  count( $coping( F5.0 ) 'Number')
  cpct( $coping( F7.1 ) 'Percent') /TITLE  'Table E2E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'.

******** ALL *********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($coping +$t) 
  /STATISTICS
  count( $coping( F5.0 ) 'Number')
  cpct( $coping( F7.1 ) 'Percent') /TITLE  'Table E2F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, '+
 ', BY INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
