***********************************************************************.
* Program:	E4.SPS
* Description:	This program generates statistical tables
*		for group of employees affected by changes. 
* Author:	faj118.
***********************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(e1 = 1).
VARIABLE LABEL filter_$ 'e1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" 
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > (STATISTICS) > ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)  BY ate + $t000014 
 /TITLE  'Table E4A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > (STATISTICS) > ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)  BY ate + $t000014 
 /TITLE  'Table E4B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY  ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)  BY ate + $t000014 
 /TITLE  'Table E4C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES'+
 ' BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

****** This will generate 1-digit industry ******.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
   /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)   
 /TITLE  'Table E4D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" 
   /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)  
 /TITLE  'Table E4E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  / /TABLE=psic1 + $t000002  BY ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007 ) 
 /TITLE  'Table E4F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .

