*******************************************************************.
* Program:	E5.SPS.
* Description:	This program generates statistical tables
*		for single variable. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(e1 = 1).
VARIABLE LABEL filter_$ 'e1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( e5 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e5( F5.0 ) 'Number')
  cpct( e5( PCT5.1 ) 'Percent')
 /TITLE  'Table E5A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( e5 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e5( F5.0 ) 'Number')
  cpct( e5( PCT5.1 ) 'Percent')
 /TITLE  'Table E5B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( e5 + $t000003  ) 
  /STATISTICS
  count( e5( F5.0 ) 'Number')
  cpct( e5( PCT5.1 ) 'Percent')
 /TITLE  'Table E5C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( e5 + $t000003  )  
  /STATISTICS
  count( e5( F5.0 ) 'Number')
  cpct( e5( PCT5.1 ) 'Percent')
 /TITLE  'Table E5D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( e5 + $t000003  )  
  /STATISTICS
  count( e5( F5.0 ) 'Number')
  cpct( e5( PCT5.1 ) 'Percent')
 /TITLE  'Table E5E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' INDUSTRY, PHILIPPINES: 1999'.
