*******************************************************************.
* Program:	E6.SPS.
* Description:	This program generates statistical tables
*		for social security schemes. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(e1= 2 or e1= 3).
VARIABLE LABEL filter_$ 'e1= 2 or e1= 3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > (STATISTICS) > ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
  BY ate +  $t000017  
 /TITLE  'Table E6A.  NUMBER OF RESPONDING ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS, TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7> (STATISTICS) > ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
  BY ate +  $t000017  
 /TITLE  'Table E6B.  NUMBER OF RESPONDING ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS, WITH OR WITHOUT UNION'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
  BY ate +  $t000017  
 /TITLE  'Table E6C.  NUMBER OF RESPONDING ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.


****** This will generate 1-digit industry ******.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
 /TITLE  'Table E6D.  NUMBER OF RESPONDING ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS, TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic1 + $t000002  BY a7> (STATISTICS) > ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
 /TITLE  'Table E6E.  NUMBER OF RESPONDING ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS, WITH OR WITHOUT UNION'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

********** ALL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic1 + $t000002  BY ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
 /TITLE  'Table E6F.  NUMBER OF RESPONDING ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .
