***************************************************************************
* Program:	GENREQ_1DIGIT.SPS
* Description:	This program generates 1-digit statistical tables
*		for analytical purposes. 
* Author:	faj118.
***************************************************************************.

************************* OPEN PART1 FILE ****************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004   BY a7 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) '')
  /TITLE  'Table 1.  NUMBER OF NON-AGRICULTURAL'+
 ' ESTABLISHMENTS WITH OR WITHOUT UNION BY INDUSTRY '+
 ', PHILIPPINES: 1999' 
 /CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004   BY a61 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) '')
  /TITLE  'Table 2.  NUMBER OF NON-AGRICULTURAL'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP AND INDUSTRY '+
 ', PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH UNION *****.
USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL=  $t000001 "Total" $t000003 "Total" $t000004 "Total" a7 "Total"
  /TABLE= psic1 + $t000004  BY a8 + a7
  /STATISTICS
  count( psic1( F5.0 ) '')
   /TITLE  'Table 3.  NUMBER OF NON-AGRICULTURAL'+
 ' ESTABLISHMENTS WITH OR WITHOUT CBA BY INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

FILTER OFF.
USE ALL.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000001 "Total" $t000002 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) > ( a7 > (STATISTICS) +
  $t000002  )  
  /STATISTICS
  count( psic1( F5.0 ) '')
  /TITLE  'Table 4.  NUMBER OF NON-AGRICULTURAL'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, WITH OR WITHOUT UNION, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL=  $t000004 "Total" $t000001 "Total" $t000002 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) > ( a8 > (STATISTICS) +
  $t000002  )  
  /STATISTICS
  count( psic1( F5.0 ) '')
  /TITLE  'Table 5.  NUMBER OF UNIONIZED NON-AGRICULTURAL'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, WITH OR WITHOUT CBA, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE= psic1 +$t BY a7 >($vacancy +$t) 
  /STATISTICS
  count( $vacancy( F5.0 ) '')
  /TITLE  'Table B12D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($vacancy +$t) 
  /STATISTICS
  count( $vacancy( F5.0 ) '')
  /TITLE  'Table B12E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $vacancy 'HIRING AND FILLING UP VACANCIES'
   b121 b122 b123 b124 b125 b126 b127 b128 b129  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($vacancy +$t) 
  /STATISTICS
  count( $vacancy( F5.0 ) '')
   /TITLE  'Table B12F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS ADOPTED IN HIRING AND FILLING UP OF VACANCIES'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
 /CAPTION  'Details may not add up to totals due to rounding.'.

*********************************************.
USE ALL.
COMPUTE filter_$=(b21 = 1).
VARIABLE LABEL filter_$ 'b21 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  '')  
 /TITLE  'Table B21C.  NUMBER OF NON-AGRICULTURAL'+
  ' ESTABLISHMENTS THAT INTENTIONALLY REDUCED THE SIZE OF THEIR WORKFORCE'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION b21no
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY b21no > (a61 + a7 +  $t )
 /STATISTICS
  sum(  '')
 /TITLE  'Table B21D.  NUMBER OF EMPLOYEES THAT WERE'+
  ' REDUCED WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP'+
  ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) '')
   /TITLE  'Table B22C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) '')
   /TITLE  'Table B22A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $redwork 'REDUCE THE SIZE OF WORKFORCE'
   b221 b222 b223 b224 b225 b226  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($redwork +$t) 
  /STATISTICS
  count( $redwork( F5.0 ) '')
   /TITLE  'Table B22B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED TO REDUCE THE SIZE OF WORKFORCE AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors ' FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($factors +$t)
  /STATISTICS
  count( $factors( F5.0 ) '')
   /TITLE  'Table B23A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($factors +$t)
  /STATISTICS
  count( $factors( F5.0 ) '')
   /TITLE  'Table B23C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $factors 'FACTORS IN REDUCING THE SIZE OF WORKFORCE'
   b231 b232 b233 b234 b235 b236 b237 b238  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($factors +$t) 
  /STATISTICS
  count( $factors( F5.0 ) '')
   /TITLE  'Table B23D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN REDUCING THE SIZE OF WORKFORCE AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($reasons +$t) 
  /STATISTICS
  count( $reasons( F5.0 ) '')
   /TITLE  'Table B24A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($reasons +$t) 
  /STATISTICS
  count( $reasons( F5.0 ) '')
   /TITLE  'Table B24C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $reasons 'REASONS IN REDUCING THE SIZE OF WORKFORCE'
   b241 b242 b243 b244 b245 b246 b247 b248  b249 b2410 b2411 b2412  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($reasons +$t) 
  /STATISTICS
  count( $reasons( F5.0 ) '')
   /TITLE  'Table B24D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' REASONS IN REDUCING THE SIZE OF WORKFORCE'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

**************.
USE ALL.
COMPUTE filter_$=(b226=1).
VARIABLE LABEL filter_$ 'b226=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) '')
   /TITLE  'Table B25A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) '')
   /TITLE  'Table B25C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $dis_rea 'REASONS FOR DISMISSAL OF EMPLOYEES'
   b251 b252 b253 b254 b255 b256 b257 b258 b259 b2510 b2511 b2512   ( 1 )  
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($dis_rea +$t) 
  /STATISTICS
  count( $dis_rea( F5.0 ) '')
   /TITLE  'Table B25D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS AND EMPLOYEES DISMISSED BY'+
 ' REASONS FOR DISMISSAL OF EMPLOYEES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

FILTER OFF.
USE ALL.
EXECUTE .


************************* OPEN PART2 FILE ****************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( c1 + $t000003 )
  /STATISTICS
  count( c1( F5.0 ) '')
 /TITLE  'Table C1E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHOD USED IN FIXING OR REVISING WAGE AND SALARIES OF MAJORITY OF THE EMPLOYEES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( c1 + $t000003  ) 
  /STATISTICS
  count( c1( F5.0 ) '')
  /TITLE  'Table C1D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHOD USED IN FIXING OR REVISING WAGE AND SALARIES OF MAJORITY OF THE EMPLOYEES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY c1 + $t000003  
  /STATISTICS
  count( c1( F5.0 ) '')
   /TITLE  'Table C1F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHOD USED IN FIXING OR REVISING WAGE AND SALARIES OF MAJORITY OF THE EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( c2 + $t000003  ) 
  /STATISTICS
  count( c2( F5.0 ) '')
 /TITLE  'Table C2A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' BASIS OF PAYMENT FOR MAJORITY OF THE EMPLOYEES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( c2 + $t000003 )  
  /STATISTICS
  count( c2( F5.0 ) '')
 /TITLE  'Table C2B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' BASIS OF PAYMENT FOR MAJORITY OF THE EMPLOYEES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY c2 + $t000003   
  /STATISTICS
  count( c2( F5.0 ) '')
  /TITLE  'Table C2C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' BASIS OF PAYMENT FOR MAJORITY OF THE EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( c3 + $t000003  ) 
  /STATISTICS
  count( c3( F5.0 ) '')
  /TITLE  'Table C3D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' HOW WAGES AND SALARIES ARE PAID FOR MAJORITY OF THE EMPLOYEES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( c3 + $t000003 )  
  /STATISTICS
  count( c3( F5.0 ) '')
  /TITLE  'Table C3E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' HOW WAGES AND SALARIES ARE PAID FOR MAJORITY OF THE EMPLOYEES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY  c3 + $t000003   
  /STATISTICS
  count( c3( F5.0 ) '')
  /TITLE  'Table C3F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' HOW WAGES AND SALARIES ARE PAID FOR MAJORITY OF THE EMPLOYEES,'+
 ' PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11 >
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS)  + $t000014 )  
 /TITLE  'Table C4AB4.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11 >
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS) + $t000014 )
 /TITLE  'Table C4AB5.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY ( c4a1 >
  (STATISTICS) + $t000003 + c4a2 > (STATISTICS) + $t000004 + c4a3 >
  (STATISTICS) + $t000005 + c4a4 > (STATISTICS) + $t000006 + c4a5 >
  (STATISTICS) + $t000007 + c4a6 > (STATISTICS) + $t000008 + c4a7 >
  (STATISTICS) + $t000009 + c4a8 > (STATISTICS) + $t000010 + c4a9 >
  (STATISTICS) + $t000011 + c4a10 > (STATISTICS) + $t000012 + c4a11>
  (STATISTICS) + $t000013  + c4a12s1c > (STATISTICS) + $t000014  )
 /TITLE  'Table C4AB6.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF ALLOWANCES, BONUSES AND GRATUITIES GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  ) 
 /TITLE  'Table C4LB1.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  ) 
 /TITLE  'Table C4LB2.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  /TABLE=psic1 + $t000002  BY ( c4l1 >
  (STATISTICS) + $t000003 + c4l2 > (STATISTICS) + $t000004 + c4l3 >
  (STATISTICS) + $t000005 + c4l4 > (STATISTICS) + $t000006 + c4l5 >
  (STATISTICS) + $t000007 + c4l6 > (STATISTICS) + $t000008 + c4l7 >
  (STATISTICS) + $t000009 + c4l8 > (STATISTICS) + $t000010 + c4l9 >
  (STATISTICS) + $t000011 + c4l10 > (STATISTICS) + $t000012 + c4l11s1c >
  (STATISTICS) + $t000013  ) 
 /TITLE  'Table C4LB3.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF LEAVE BENEFITS GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003  )  
 /TITLE  'Table C4SS4.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' INDUSTRY,  PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003  )  
 /TITLE  'Table C4SS5.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total"
  /TABLE=psic1 + $t000002  BY c4s1 >
  (STATISTICS) + $t000012 + c4s2 > (STATISTICS) + $t000011 + c4s3 >
  (STATISTICS) + $t000010 + c4s4 > (STATISTICS) + $t000009 + c4s5 >
  (STATISTICS) + $t000008 + c4s6 > (STATISTICS) + $t000007 + c4s7 >
  (STATISTICS) + $t000006 + c4s8 > (STATISTICS) + $t000005 + c4s9 >
  (STATISTICS) + $t000004 + c4s10s1c > (STATISTICS) + $t000003   
 /TITLE  'Table C4SS6.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF SOCIAL SECURITY SCHEME GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11 >
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS)  + $t000014 + c4o13s1c > (STATISTICS)  + $t000015 )  
 /TITLE  'Table C4OW1.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11 >
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS) + $t000014 + c4o13s1c > (STATISTICS) + $t000015 )
 /TITLE  'Table C4OW2.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total"
  /TABLE=psic1 + $t000002  BY ( c4o1 >
  (STATISTICS) + $t000003 + c4o2 > (STATISTICS) + $t000004 + c4o3 >
  (STATISTICS) + $t000005 + c4o4 > (STATISTICS) + $t000006 + c4o5 >
  (STATISTICS) + $t000007 + c4o6 > (STATISTICS) + $t000008 + c4o7 >
  (STATISTICS) + $t000009 + c4o8 > (STATISTICS) + $t000010 + c4o9 >
  (STATISTICS) + $t000011 + c4o10 > (STATISTICS) + $t000012 + c4o11>
  (STATISTICS) + $t000013  + c4o12s1c > (STATISTICS) + $t000014 + c4o12s1c > (STATISTICS) + $t000015)
 /TITLE  'Table C4OW3.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF OTHER WELFARE BENEFITS GRANTED TO EMPLOYEES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( c5 + $t000003  ) 
  /STATISTICS
  count( c5( F5.0 ) '')
 /TITLE  'Table C5D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' BASIS OF GRANTING ALLOWANCES,BONUSES AND GRATUITIES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( c5 + $t000003 )  
  /STATISTICS
  count( c5( F5.0 ) '')
 /TITLE  'Table C5E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' BASIS OF GRANTING ALLOWANCES, BONUSES AND GRATUITIES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY  c5 + $t000003   
  /STATISTICS
  count( c5( F5.0 ) '')
 /TITLE  'Table C5F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' BASIS OF GRANTING ALLOWANCES, BONUSES AND GRATUITIES,'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( c61s + $t000003 + c61v + $t000004  ) 
  /STATISTICS
  count( c61s( F5.0 ) '')
  count( c61v( F5.0 ) '')
 /TITLE  'Table C6C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( c61s + $t000003 + c61v + $t000004 )  
  /STATISTICS
  count( c61s( F5.0 ) '')
  count( c61v( F5.0 ) '')
 /TITLE  'Table C6D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY  (c61s + $t000003 + c61v + $t000004 )  
  /STATISTICS
  count( c61s( F5.0 ) '')
  count( c61v( F5.0 ) '')
 /TITLE  'Table C6E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' SICK AND VACATION LEAVE PROVIDED,'+
 ' PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

FILTER OFF.
USE ALL.
EXECUTE .


************************* OPEN PART3 FILE ****************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d11 + $t000003  ) 
  /STATISTICS
  count( d11( F5.0 ) '')
 /TITLE  'Table D11D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' RATE OF RELATIONSHIP BETWEEN EMPLOYEES AND MANAGEMENT'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d11 + $t000003 )  
  /STATISTICS
  count( d11( F5.0 ) '')
 /TITLE  'Table D11E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' RATE OF RELATIONSHIP BETWEEN EMPLOYEES AND MANAGEMENT'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d11 + $t000003   
  /STATISTICS
  count( d11( F5.0 ) '')
 /TITLE  'Table D11F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' RATE OF RELATIONSHIP BETWEEN EMPLOYEES AND MANAGEMENT'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($rating +$t)
  /STATISTICS
  count( $rating( F5.0 ) '')
  /TITLE  'Table D12D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN  EMPLOYEES & MANAGEMENT, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($rating +$t) 
  /STATISTICS
  count( $rating( F5.0 ) '')
  /TITLE  'Table D12E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN EMPLOYEES & MANAGEMNET, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $rating 'FACTORS IN RATING THE ABOVE'
   d121 d122 d123 d124 d125 d126 d127 d128 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($rating +$t) 
  /STATISTICS
  count( $rating( F5.0 ) '')
 /TITLE  'Table D12F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' FACTORS CONSIDERED IN RATING RELATIONSHIP BETWEEN EMPLOYEES & MANAGEMENT'+
 ' AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($communi +$t) 
  /STATISTICS
  count( $communi( F5.0 ) '')
  /TITLE  'Table D13D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($communi +$t) 
  /STATISTICS
  count( $communi( F5.0 ) '')
 /TITLE  'Table D13E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $communi 'COMMUNICATE TO EMPLOYEES'
   d131 d132 d133 d134 d135 d136 d137 d138 d139 d1310 d1311 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($communi +$t) 
  /STATISTICS
  count( $communi( F5.0 ) '')
 /TITLE  'Table D13F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED TO COMMUNICATE TO EMPLOYEES'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** STAFFING LEVELS **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d141 + $t000003  ) 
  /STATISTICS
  count( d141( F5.0 ) '')
 /TITLE  'Table D141A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d141 + $t000003 )  
  /STATISTICS
  count( d141( F5.0 ) '')
 /TITLE  'Table D141B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d141 + $t000003   
  /STATISTICS
  count( d141( F5.0 ) '')
 /TITLE  'Table D141C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** WAGE INCREASES ***************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d142 + $t000003  ) 
  /STATISTICS
  count( d142( F5.0 ) '')
 /TITLE  'Table D142A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d142 + $t000003 )  
  /STATISTICS
  count( d142( F5.0 ) '')
 /TITLE  'Table D142B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d142 + $t000003   
  /STATISTICS
  count( d142( F5.0 ) '')
 /TITLE  'Table D142C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** OCCUPATIONAL HEALTH & SAFETY  *************************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d143 + $t000003  ) 
  /STATISTICS
  count( d143( F5.0 ) '')
 /TITLE  'Table D143A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d143 + $t000003 )  
  /STATISTICS
  count( d143( F5.0 ) '')
 /TITLE  'Table D143B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d143 + $t000003   
  /STATISTICS
  count( d143( F5.0 ) '')
 /TITLE  'Table D143C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** INTRO OF NEW TECHNOLOGY **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d144 + $t000003  ) 
  /STATISTICS
  count( d144( F5.0 ) '')
 /TITLE  'Table D144A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d144 + $t000003 )  
  /STATISTICS
  count( d144( F5.0 ) '')
 /TITLE  'Table D144B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d144 + $t000003   
  /STATISTICS
  count( d144( F5.0 ) '')
 /TITLE  'Table D144C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** DISMISSALS AND DISCIPLINARY ACTION **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d145 + $t000003  ) 
  /STATISTICS
  count( d145( F5.0 ) '')
 /TITLE  'Table D145A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d145 + $t000003 )  
  /STATISTICS
  count( d145( F5.0 ) '')
 /TITLE  'Table D145B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d145 + $t000003   
  /STATISTICS
  count( d145( F5.0 ) '')
 /TITLE  'Table D145C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** CHANGES IN WORK PRACTICES **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d146 + $t000003  ) 
  /STATISTICS
  count( d146( F5.0 ) '')
 /TITLE  'Table D146A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d146 + $t000003 )  
  /STATISTICS
  count( d146( F5.0 ) '')
 /TITLE  'Table D146B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d146 + $t000003   
  /STATISTICS
  count( d146( F5.0 ) '')
 /TITLE  'Table D146C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** MAJOR CHANGE IN PRODUCT/SERVICES **********************************************.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d147 + $t000003  ) 
  /STATISTICS
  count( d147( F5.0 ) '')
 /TITLE  'Table D147A.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d147 + $t000003 )  
  /STATISTICS
  count( d147( F5.0 ) '')
 /TITLE  'Table D147B.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' WITH OR WITHOUT UNION BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004  "Total"
  /TABLE=psic1 + $t000002  BY d147 + $t000003   
  /STATISTICS
  count( d147( F5.0 ) '')
 /TITLE  'Table D147C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' MANAGEMENT CONSULT WITH EMPLOYEE REPRESENTATIVES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******************************************.
USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

COMPUTE d21m = d21t - d21f .
VARIABLE LABELS d21m 'MALE' .
EXECUTE .

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION d21t d21f d21m
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY ( a61 > (d21t + d21f + d21m) +  $t )
  /STATISTICS
  sum(  '') /TITLE  'Table D21B - DISTRIBUTION OF UNION MEMBERSHIP'+
 ' BY TYPE OF OWNERSHIP, AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(a8 = 1).
VARIABLE LABEL filter_$ 'a8 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

COMPUTE d23m = d23t - d23f .
VARIABLE LABELS d23m 'MALE' .
EXECUTE .

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION d23t d23f d23m
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY ( a61 > (d23t + d23f + d23m) +  $t )
  /STATISTICS
  sum(  '') /TITLE  'Table D23B - DISTRIBUTION OF CBA COVERAGE'+
 ' BY TYPE OF OWNERSHIP, AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH UNION *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES  TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($privil +$t) 
  /STATISTICS
  count( $privil( F5.0 ) '')
 /TITLE  'Table D24D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS' +
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($privil +$t)
  /STATISTICS
  count( $privil( F5.0 ) '')
 /TITLE  'Table D24E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $privil 'PRIVILEGES TO UNION OFFICERS/MEMBERS'
   d241 d242 d243 d244 d245 d246 d247 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($privil +$t) 
  /STATISTICS
  count( $privil( F5.0 ) '')
/TITLE  'Table D24F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' PRIVILEGES PROVIDED TO UNION OFFICERS/MEMBERS,'+
 ', BY INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d25 + $t000003  ) 
  /STATISTICS
  count( d25( F5.0 ) '')
 /TITLE  'Table D25C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' DURATION THE UNION DISCUSS EMPLOYEE RELATION MATTERS,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( d25 + $t000003  )  
  /STATISTICS
  count( d25( F5.0 ) '')
 /TITLE  'Table D25D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' DURATION THE UNION DISCUSS EMPLOYEE RELATION MATTERS,'+
 ' INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $issrais 'ISSUES RAISED BY THE UNION'
   d261 d262 d263 d264 d265 d266 d267 d268 d269 d2610 d2611 d2612 d2613 d2614 d2615 d2616 d2617 d2618 d2619 d2620 d2621 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($issrais +$t)
  /STATISTICS
  count( $issrais( F5.0 ) '')
/TITLE  'Table D26C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' ISSUES FREQUENTLY RAISED BY THE UNION WITH MANAGEMENT, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $issrais 'ISSUES RAISED BY THE UNION'
   d261 d262 d263 d264 d265 d266 d267 d268 d269 d2610 d2611 d2612 d2613 d2614 d2615 d2616 d2617 d2618 d2619 d2620 d2621 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($issrais +$t) 
  /STATISTICS
  count( $issrais( F5.0 ) '')
 /TITLE  'Table D26D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' ISSUES FREQUENTLY RAISED BY THE UNION WITH MANAGEMENT,'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY	a61 > ($bar_neg +$t) 
  /STATISTICS
  count( $bar_neg( F5.0 ) '')
/TITLE  'Table D27D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $bar_neg 'INVOLVED IN BARGAINING NEGOTIATIONS'
   d271 d272 d273 d274 d275 d276 d277 d278 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($bar_neg +$t) 
  /STATISTICS
  count( $bar_neg( F5.0 ) '')
 /TITLE  'Table D27E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' WHO FROM THE LABOR UNION WERE DIRECTLY INVOLVED IN BARGAINING NEGOTIATIONS,' +
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $negotia 'SUBJECTS OF NEGOTIATIONS'
   d281 d282 d283 d284 d285 d286 d287 d288 d289 d2810 d2811 d2812 d2813 d2814 d2815 d2816 d2817 d2818 d2819 d2820 d2821 d2822 d2823 d2824  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($negotia +$t) 
  /STATISTICS
  count( $negotia( F5.0 ) '')
/TITLE  'Table D28D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' SUBJECTS OF THE NEGOTIATIONS,'+
 ', INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $negotia 'SUBJECTS OF NEGOTIATIONS'
   d281 d282 d283 d284 d285 d286 d287 d288 d289 d2810 d2811 d2812 d2813 d2814 d2815 d2816 d2817 d2818 d2819 d2820 d2821 d2822 d2823 d2824  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($negotia +$t) 
  /STATISTICS
  count( $negotia( F5.0 ) '')
 /TITLE  'Table D28C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' SUBJECTS OF THE NEGOTIATIONS, '+
 ' AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d29 + $t000003  ) 
  /STATISTICS
  count( d29( F5.0 ) '')
 /TITLE  'Table D29C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' OUTCOME OF THE NEGOTIATION,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( d29 + $t000003  )  
  /STATISTICS
  count( d29( F5.0 ) '')
 /TITLE  'Table D29D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS WITH UNION BY'+
 ' OUTCOME OF THE NEGOTIATION,'+
 ' INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(d31 = 1).
VARIABLE LABEL filter_$ 'd31 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  '')  
/TITLE  'Table D312.  NUMBER OF NON-AGRICULTURAL'+
  ' ESTABLISHMENTS WITH GRIEVANCE HANDLING MACHINERY'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($grievan +$t)
  /STATISTICS
  count( $grievan( F5.0 ) '')
 /TITLE  'Table D32D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED IN SETLLING GRIEVANCES, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($grievan +$t) 
  /STATISTICS
  count( $grievan( F5.0 ) '')
 /TITLE  'Table D32E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED IN SETTLING GRIEVANCES, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL ***********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $grievan 'SETTLING GRIEVANCES'
   d321 d322 d323 d324 d325 d326 (1)
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($grievan +$t)
  /STATISTICS
  count( $grievan( F5.0 ) '')
 /TITLE  'Table D32F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' METHODS USED IN SETTLING GRIEVANCES,'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(d33 = 1).
VARIABLE LABEL filter_$ 'd33 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  '')  
/TITLE  'Table D332.  NUMBER OF NON-AGRICULTURAL'+
  ' ESTABLISHMENTS WITH IDUSTRIAL ACTION OCCURED IN 1998'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($type_ia +$t)
  /STATISTICS
  count( $type_ia( F5.0 ) '')
/TITLE  'Table D34D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION  *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($type_ia +$t) 
  /STATISTICS
  count( $type_ia( F5.0 ) '')
 /TITLE  'Table D34E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, WITH OR WITHOUT UNION'+
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********* TOTAL ********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $type_ia 'TYPE OF INDUSTRIAL ACTION'
   d341 d342 d343 d344 d345 d346 d347 d348 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($type_ia +$t) 
  /STATISTICS
  count( $type_ia( F5.0 ) '')
 /TITLE  'Table D34F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' TYPE OF INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522 ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($indact +$t) 
  /STATISTICS
  count( $indact( F5.0 ) '')
 /TITLE  'Table D35D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTION, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($indact +$t) 
  /STATISTICS
  count( $indact( F5.0 ) '')
 /TITLE  'Table D35E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTIONS, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $indact 'ISSUES IN INDUSTRIAL ACTION'
   d351 d352 d353 d354 d355 d356 d357 d358 d359 d3510 d3511 d3512 d3513 d3514 d3515 d3516 d3517 d3518 d3519 d3520 d3521 d3522  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($indact +$t) 
  /STATISTICS
  count( $indact( F5.0 ) '')
 /TITLE  'Table D35F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' ISSUES RAISED IN WORKERS INDUSTRIAL ACTIONS, '+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( d36 + $t000003  ) 
  /STATISTICS
  count( d36( F5.0 ) '')
 /TITLE  'Table D36C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( d36 + $t000003  )  
  /STATISTICS
  count( d36( F5.0 ) '')
 /TITLE  'Table D36D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( d36 + $t000003  )  
  /STATISTICS
  count( d36( F5.0 ) '')
 /TITLE  'Table D36E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' DURATION OF THE LAST INDUSTRIAL ACTION,'+
 ' INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(d37 = 1).
VARIABLE LABEL filter_$ 'd37 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL $t000002 "Total" $t000001 "Total"
  /TABLE=psic1 + $t000002  BY a61 + a7 + $t000001 
  /STATISTICS
  count(  '')  
/TITLE  'Table D37B.  NUMBER OF NON-AGRICULTURAL'+
  ' ESTABLISHMENTS WITH EFFECT ON OUTPUT OR SERVICE BROUGHT ABOUT BY INDUSTRIAL ACTION'+
  ' WITH OR WITHOUT UNION AND TYPE OF OWNERSHIP BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($recover +$t) 
  /STATISTICS
  count( $recover( F5.0 ) '')
 /TITLE  'Table D38D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($recover +$t) 
  /STATISTICS
  count( $recover( F5.0 ) '')
/TITLE  'Table D38E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** TOTAL *********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $recover 'RECOVER EFFECTS ON SERVICE'
   d381 d382 d383 d384 d385 d386 d387 d388  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($recover +$t) 
  /STATISTICS
  count( $recover( F5.0 ) '')
 /TITLE  'Table D38F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' EFFORTS MADE TO RECOVER EFFECTS ON SERVICE, '+
 ', BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

FILTER OFF.
USE ALL.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( e1 + $t000003  )  
  /STATISTICS
  count( e1( F5.0 ) '')
 /TITLE  'Table E1D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT BY,'+
 ' TYPE OF OWNERSHIP AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( e1 + $t000003  )  
  /STATISTICS
  count( e1( F5.0 ) '')
  /TITLE  'Table E1E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL ************.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( e1 + $t000003  )  
  /STATISTICS
  count( e1( F5.0 ) '')
  /TITLE  'Table E1F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS '+
 ' WHETHER THEY HAVE DEVELOPED COPING MECHANISMS OR NOT,'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(e1 = 1).
VARIABLE LABEL filter_$ 'e1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** WITH OR WITHOUT UNION *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a7 >($coping +$t) 
  /STATISTICS
  count( $coping( F5.0 ) '')
 /TITLE  'Table E2D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, WITH OR WITHOUT UNION'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY a61 >($coping +$t) 
  /STATISTICS
  count( $coping( F5.0 ) '')
 /TITLE  'Table E2E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, TYPE OF OWNERSHIP'+
 ', AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

******** TOTAL *********.
* Multiple Response Tables.
TABLES
  /FORMAT BLANK MISSING('')
  /FTOTAL $t 'Total'  /MDGROUP  $coping 'COPING MECHANISMS'
   e21 e22 e23 e24 e25 e26 e27 e28 e29 e210  ( 1 )
  /GBASE=CASES
  /TABLE=psic1 +$t BY ($coping +$t) 
  /STATISTICS
  count( $coping( F5.0 ) '')
/TITLE  'Table E2F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' COPING MECHANISMS BEING ADOPTED, '+
 ', BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( e3 + $t000003  ) 
  /STATISTICS
  count( e3( F5.0 ) '')
 /TITLE  'Table E3D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( e3 + $t000003  )  
  /STATISTICS
  count( e3( F5.0 ) '')
 /TITLE  'Table E3E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( e3 + $t000003  )  
  /STATISTICS
  count( e3( F5.0 ) '')
 /TITLE  'Table E3F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
   /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)   
 /TITLE  'Table E4D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES BY TYPE OF OWNERSHIP,'+
 ' AND INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total" 
   /TABLE=psic1 + $t000002  BY a7 > (STATISTICS) > ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007)  
 /TITLE  'Table E4E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES WITH OR WITHOUT UNION'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total" $t000005 "Total" $t000006 "Total" $t000007 "Total" $t000008 "Total"
  $t000009 "Total" $t000010 "Total" $t000011 "Total" $t000012 "Total" $t000013
  "Total" $t000014 "Total"
  / /TABLE=psic1 + $t000002  BY ( e41 >
  (STATISTICS) + $t000003 + e42 > (STATISTICS) + $t000004 + e43 >
  (STATISTICS) + $t000005 + e44 > (STATISTICS) + $t000006 + e45 >
  (STATISTICS) + $t000007 ) 
 /TITLE  'Table E4F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' GROUP OF EMPLOYEES AFFECTED BY CHANGES'+
 ' BY INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( e5 + $t000003  ) 
  /STATISTICS
  count( e5( F5.0 ) '')
 /TITLE  'Table E5C.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( e5 + $t000003  )  
  /STATISTICS
  count( e5( F5.0 ) '')
 /TITLE  'Table E5D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** TOTAL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( e5 + $t000003  )  
  /STATISTICS
  count( e5( F5.0 ) '')
 /TITLE  'Table E5E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS BY'+
 ' EFFECT ON THE SURVIVAL/OPERATIONS OF THE ESTABLISHMENT,'+
 ' INDUSTRY, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

USE ALL.
COMPUTE filter_$=(e1= 2 or e1= 3).
VARIABLE LABEL filter_$ 'e1= 2 or e1= 3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic1 + $t000002  BY a61 > (STATISTICS) > ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
 /TITLE  'Table E6D.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS, TYPE OF OWNERSHIP,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic1 + $t000002  BY a7> (STATISTICS) > ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
 /TITLE  'Table E6E.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS, WITH OR WITHOUT UNION'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

********** TOTAL **********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000012 "Total" $t000011
  "Total" $t000010 "Total" $t000009 "Total" $t000008 "Total" $t000007 "Total"
  $t000006 "Total" $t000005 "Total" $t000004 "Total" $t000003 "Total" $t000013
  "Total" $t000014 "Total" $t000015 "Total" $t000016 "Total" $t000017 "Total" $t000018 "Total"
  /TABLE=psic1 + $t000002  BY ( e61 >
  (STATISTICS) + $t000012 + e62 > (STATISTICS) + $t000011 + e63 >
  (STATISTICS) + $t000010 + e64 > (STATISTICS) + $t000009 + e65 >
  (STATISTICS) + $t000008 + e66 > (STATISTICS) + $t000007 + e67 >
  (STATISTICS) + $t000006 + e68 > (STATISTICS) + $t000005 + e69 >
  (STATISTICS) + $t000004 + e610 > (STATISTICS) + $t000003 + e611 > 
  (STATISTICS) + $t000018  + e612 > (STATISTICS) + $t000013 + e613s1c > 
  (STATISTICS) + $t000014 + e613s2c > (STATISTICS) + $t000015 + e613s3c > (STATISTICS) + $t000016 )  
 /TITLE  'Table E6F.  NUMBER OF NON-AGRICULTURAL ESTABLISHMENTS AFFECTED BY THE RECENT CRISIS'+
 ' BY MEASURES IMPLEMENTED TO COPE WITH THE CRISIS,'+
 ' INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'
/CAPTION  'Details may not add up to totals due to rounding.'.

FILTER OFF.
USE ALL.
EXECUTE .

