***************************************************************************
* Program:	GENTAB_1DIGIT.SPS
* Description:	This program generates 1-digit statistical tables
*		for analytical purposes. 
* Author:	faj118.
***************************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART1_BUF.sav'.

WEIGHT
  BY buf .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004   BY a7 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent') /TITLE  'Table 1.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS WITH OR WITHOUT UNION BY INDUSTRY '+
 ', PHILIPPINES: 1999'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL=  $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004  BY a8 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent') /TITLE  'Table 2.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS WITH OR WITHOUT CBA BY INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'.

FILTER OFF.
USE ALL.
EXECUTE .

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent') /TITLE  'Table 3.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000001 "Total" $t000002 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) > ( a7 > (STATISTICS) +
  $t000002  )  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent')  /TITLE  'Table 4.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, WITH OR WITHOUT UNION, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL=  $t000004 "Total" $t000001 "Total" $t000002 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) > ( a8 > (STATISTICS) +
  $t000002  )  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent')  /TITLE  'Table 5.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, WITH OR WITHOUT CBA, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a7 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table 1A - EMPLOYMENT DISTRIBUTION WITH OR WITHOUT'+
 ' UNION BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a8 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table 2A - EMPLOYMENT DISTRIBUTION WITH OR WITHOUT'+
 ' CBA BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table 3A - EMPLOYMENT DISTRIBUTION BY TYPE'+
 ' OWNERSHIP, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > a7 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'TABLE 4A - EMPLOYMENT DISTRIBUTION BY TYPE OF OWNERSHIP,'+
 '  WITH OR WITHOUT UNION, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > a8 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'TABLE 5A - EMPLOYMENT DISTRIBUTION BY TYPE OF OWNERSHIP,'+
 '  WITH OR WITHOUT CBA, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999'.

WEIGHT
  OFF.

FILTER OFF.
USE ALL.
EXECUTE .
***** The following programs run the actual summary tables ********.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004   BY a7 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent') /TITLE  'Table 1.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS WITH OR WITHOUT UNION BY INDUSTRY '+
 ', PHILIPPINES: 1999 (Actual)'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL=  $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004  BY a8 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent') /TITLE  'Table 2.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS WITH OR WITHOUT CBA BY INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

FILTER OFF.
USE ALL.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000003 "Total" $t000004 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) + $t000001  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent') /TITLE  'Table 3.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000004 "Total" $t000001 "Total" $t000002 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) > ( a7 > (STATISTICS) +
  $t000002  )  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent')  /TITLE  'Table 4.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, WITH OR WITHOUT UNION, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL=  $t000004 "Total" $t000001 "Total" $t000002 "Total"
  /TABLE= psic1 + $t000004  BY a61 > (STATISTICS) > ( a8 > (STATISTICS) +
  $t000002  )  
  /STATISTICS
  count( psic1( F5.0 ) 'Number')
  cpct( psic1( PCT5.1 ) 'Percent')  /TITLE  'Table 5.  NUMBER OF RESPONDING'+
 ' ESTABLISHMENTS BY TYPE OF OWNERSHIP, WITH OR WITHOUT CBA, INDUSTRY '+
 'AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a7 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table 1A - EMPLOYMENT DISTRIBUTION WITH OR WITHOUT'+
 ' UNION BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a8 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table 2A - EMPLOYMENT DISTRIBUTION WITH OR WITHOUT'+
 ' CBA BY INDUSTRY AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

FILTER OFF.
USE ALL.
EXECUTE .
* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'Table 3A - EMPLOYMENT DISTRIBUTION BY TYPE'+
 ' OWNERSHIP, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > a7 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'TABLE 4A - EMPLOYMENT DISTRIBUTION BY TYPE OF OWNERSHIP,'+
 '  WITH OR WITHOUT UNION, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.

USE ALL.
COMPUTE filter_$=(a7 = 1).
VARIABLE LABEL filter_$ 'a7 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION a4 a5f a5m a5ns
  /FTOTAL $t 'Total'
  /TABLES (psic1 +  $t )
  BY (a61 > a8 > (a4 + a5f + a5m + a5ns) +  $t )
  /STATISTICS
  sum(  'Number') /TITLE  'TABLE 5A - EMPLOYMENT DISTRIBUTION BY TYPE OF OWNERSHIP,'+
 '  WITH OR WITHOUT CBA, INDUSTRY AND ATE GROUP, PHILIPPINES: 1999 (Actual)'.
