********************************************************************************************.
*  Program Name:		RETRIEVED.SPS.
*  Description:			This program converts the IRWS main database
* 				with RET status 
*                                               from Microsoft Access to SPSS.
*  Author:			faj118.
*********************************************************************************************.

* The password appearing in this syntax
* may not work after this session.
* You must change it to the correct
* password to execute it again.
GET CAPTURE ODBC /CONNECT='DSN=MS Access 97 Database;DBQ=c:\Survey'+
 ' Data\IRWS\1999IRWS.mdb;DefaultDir=c:\Survey Data\IRWS;DriverId=281;FIL=MS'+
 ' Access;MaxBufferSize=2048;PageTimeout=5;'
 /SQL = 'SELECT  `T17`.`EIN` AS `EIN`,  `T17`.`NAME` AS `NAME`,  '
 '`T17`.`R_NAME` AS `R_NAME`,  `T17`.`ADD1` AS `ADD1`,  `T17`.`R_ADD1` AS '
 '`R_ADD1`,  `T17`.`REG` AS `REG`,  `T17`.`R_REG` AS `R_REG`,  `T17`.`PROV`'
 ' AS `PROV`,  `T17`.`R_PROV` AS `R_PROV`,  `T17`.`CITY_MUN` AS `CITY_MUN`,'
 '  `T17`.`R_CITY_MUN` AS `R_CITY_M`,  `T17`.`BGY` AS `BGY`,  `T17`.`R_BGY`'
 ' AS `R_BGY`,  `T17`.`PSIC` AS `PSIC`,  `T17`.`R_PSIC` AS `R_PSIC`,  '
 '`T17`.`ATE` AS `ATE`,  `T17`.`R_ATE` AS `R_ATE`,  `T17`.`EMP` AS `EMP`,  '
 '`T17`.`R_EMP` AS `R_EMP`,  `T17`.`STATUS` AS `STATUS`,  `T17`.`PSIC_O` AS'
 ' `PSIC_O`,  `T17`.`PSIC_R` AS `PSIC_R`,  `T17`.`ATE_O` AS `ATE_O`,  '
 '`T17`.`ATE_R` AS `ATE_R` FROM  `c:\Survey Data\IRWS\1999IRWS`.`RETRIEVED`'
 ' `T17`'.
Execute.
VARIABLE LABELS EIN "EIN" NAME "NAME" R_NAME "R_NAME" ADD1 "ADD1" R_ADD1
  "R_ADD1" REG "REG" R_REG "R_REG" PROV "PROV" R_PROV "R_PROV" CITY_MUN
  "CITY_MUN" R_CITY_M "R_CITY_MUN" BGY "BGY" R_BGY "R_BGY" PSIC "PSIC" R_PSIC
  "R_PSIC" ATE "ATE" R_ATE "R_ATE" EMP "EMP" R_EMP "R_EMP" STATUS "STATUS"
  PSIC_O "PSIC_O" PSIC_R "PSIC_R" ATE_O "ATE_O" ATE_R "ATE_R" .

* Generate selected old psic included in the survey.
***********************************************************.
compute psic_o = SUBSTR(psic,1,3).
EXECUTE .
IF (psic_o = "O91") psic_o = "" .
EXECUTE .
IF (psic_o = "O94") psic_o = "" .
EXECUTE .
IF (psic_o = "O95") psic_o = "" .
EXECUTE .
IF (SUBSTR(psic,1,4) = "D155") psic_o = "D155" .
EXECUTE .
IF (SUBSTR(psic,1,4) <> "D155" and SUBSTR(psic,1,3) = "D15") psic_o = "D15".
EXECUTE .
IF (SUBSTR(psic,1,4) = "D192") psic_o = "D192" .
EXECUTE .
IF (SUBSTR(psic,1,4) = "D201") psic_o = "D201" .
EXECUTE .
IF (psic_o = "D25" or psic_o = "D26") psic_o = SUBSTR(psic,1,4) .
EXECUTE .
IF (psic = "I64110") psic_o = "" .
EXECUTE .
IF (psic = "J65100") psic_o = "" .
EXECUTE .
IF (SUBSTR(psic,1,5) <> "N8511" and SUBSTR(psic,1,3) = "N85") psic_o = SUBSTR(r_psic,1,3) .
EXECUTE .

* Generate selected new psic included in the survey.
************************************************************.
compute psic_r = SUBSTR(r_psic,1,3).
EXECUTE .
IF (psic_r = "O91") psic_r = "" .
EXECUTE .
IF (psic_r = "O94") psic_r = "" .
EXECUTE .
IF (psic_r = "O95") psic_r = "" .
EXECUTE .
IF (SUBSTR(r_psic,1,4) = "D155") psic_r = "D155" .
EXECUTE .
IF (SUBSTR(r_psic,1,4) <> "D155" and SUBSTR(r_psic,1,3) = "D15") psic_r = "D15".
EXECUTE .
IF (SUBSTR(r_psic,1,4) = "D192") psic_r = "D192" .
EXECUTE .
IF (SUBSTR(r_psic,1,4) = "D201") psic_r = "D201" .
EXECUTE .
IF (psic_r = "D25" or psic_r = "D26") psic_r = SUBSTR(r_psic,1,4) .
EXECUTE .
IF (r_psic = "I64110") psic_r = "" .
EXECUTE .
IF (r_psic = "J65100") psic_r = "" .
EXECUTE .
IF (SUBSTR(r_psic,1,5) <> "N8511" and SUBSTR(r_psic,1,3) = "N85") psic_r = SUBSTR(r_psic,1,3) .
EXECUTE .

RECODE
  ate
  (3=3)  (4 thru 5=5)  (ELSE=6)  INTO  ate_o .
EXECUTE .

RECODE
  r_ate
  (3=3)  (4 thru 5=5)  (ELSE=6)  INTO  ate_r .
EXECUTE .

SAVE OUTFILE='C:\Survey Data\Irws\Dbf\RETRIEVED.sav'
   /COMPRESSED.
