****************************************************************************************************
* Program Name:   	STATUS.SPS.
* Description:     	This program translates Microsoft Access file to SPSS file. 
*	        	            It generates status monitoring report right after the conversion
* Author:		faj118.     
****************************************************************************************************	         

* The password appearing in this syntax
* may not work after this session.
* You must change it to the correct
* password to execute it again.
GET CAPTURE ODBC /CONNECT='DSN=MS Access 97 Database;DBQ=c:\Survey'+
 ' Data\IRWS\1999IRWS.mdb;DefaultDir=c:\Survey Data\IRWS;DriverId=25;FIL=MS'+
 ' Access;MaxBufferSize=512;PageTimeout=5;' /
SELECT  `T0`.`EIN` AS `EIN`,  `T0`.`NAME`
AS `NAME`,  `T0`.`R_NAME` AS `R_NAME`,  `T0`.`ADD1`
AS `ADD1`,  `T0`.`R_ADD1` AS `R_ADD1`,  `T0`.`REG`
AS `REG`,  `T0`.`R_REG` AS `R_REG`,  `T0`.`PROV`
AS `PROV`,  `T0`.`R_PROV` AS `R_PROV`,  `T0`.`CITY_MUN`
AS `CITY_MUN`,  `T0`.`R_CITY_MUN` AS `R_CITY_M`,
 `T0`.`BGY` AS `BGY`,  `T0`.`R_BGY` AS `R_BGY`,
 `T0`.`PSIC` AS `PSIC`,  `T0`.`R_PSIC` AS
`R_PSIC`,  `T0`.`ATE` AS `ATE`,  `T0`.`R_ATE`
AS `R_ATE`,  `T0`.`EMP` AS `EMP`,  `T0`.`R_EMP`
AS `R_EMP`,  `T0`.`STATUS` AS `STATUS`,
`T0`.`DUPCON_EIN` AS `DUPCON_E`,  `T0`.`DATE_ACC`
AS `DATE_ACC`,  `T0`.`CONTACT` AS `CONTACT`,
 `T0`.`POSITION` AS `POSITION`,  `T0`.`TEL_NO`
AS `TEL_NO`,  `T0`.`FAX_NO` AS `FAX_NO`,
 `T0`.`E_MAIL` AS `E_MAIL`,  `T0`.`INT_NAME`
AS `INT_NAME`,  `T0`.`ECN` AS `ECN`,  `T0`.`EO`
AS `EO`,  `T0`.`REMARKS` AS `REMARKS`,  `T0`.`PSIC_R`
AS `PSIC_R`,  `T0`.`ATE_R` AS `ATE_R`, 
`T0`.`MAILED` AS `MAILED` FROM
 `c:\Survey Data\IRWS\1999IRWS`.`1999IRWS` `T0`.
Execute.
VARIABLE LABELS EIN "EIN" NAME "NAME" R_NAME "R_NAME" ADD1 "ADD1" R_ADD1
  "R_ADD1" REG "REG" R_REG "R_REG" PROV "PROV" R_PROV "R_PROV" CITY_MUN
  "CITY_MUN" R_CITY_M "R_CITY_MUN" BGY "BGY" R_BGY "R_BGY" PSIC "PSIC" R_PSIC
  "R_PSIC" ATE "ATE" R_ATE "R_ATE" EMP "EMP" R_EMP "R_EMP" STATUS "STATUS"
  DUPCON_E "DUPCON_EIN" DATE_ACC "DATE_ACC" CONTACT "CONTACT" POSITION
  "POSITION" TEL_NO "TEL_NO" FAX_NO "FAX_NO" E_MAIL "E_MAIL" INT_NAME
  "INT_NAME" ECN "ECN" EO "EO" REMARKS "REMARKS" PSIC_R "PSIC_R" ATE_R "ATE_R"
 MAILED "MAILED" .

RECODE
  status
  ('RET'=1)  ('RFV'=2)  ('OSE'=3) ('PCL'=4)  ('TCL'=5)  ('CBL'=6)  ('REF'=7)
  ('DUP'=8)  ('STR'=9)  ('CON'=10)  ('TRF'=11)  ('OSP'=12) ('OTH'=13)
  (' '=14) INTO  stat .

VARIABLE LABELS stat 'STATUS'.
VALUE LABELS stat
	1 "Good"
	2 "Ret For Verif"
            3 "Out of Scope in Emp"
	4 "Perm Close"
	5 "Temp Close"
	6 "Cannot be Loc"
	7 "Refuse"
	8 "Duplicate"
            9 "On Strike"
           10 "Consolidated"
           11 "Transfer"
           12 "Out of Scope in PSIC"
           13 "Others"
           14 "Unaccounted".
EXECUTE.

RECODE
  stat
  (1=1)  (2=1)  (3=1)  (4=2)  (5=2)  (6=2)  (7=2)
  (8=2)  (9=2)  (10=2) (11=2) (12=2) (13=2) (14=3) INTO  statusx .
EXECUTE .

VARIABLE LABELS statusx  'STATUS'.
VALUE LABELS statusx
	1 'Retrieval'
	2 'Spoilage'
	3 'Unaccounted'.
EXECUTE.
VARIABLE LABELS int_name 'NAME'.
VARIABLE LABELS psic_r 'INDUSTRY'.

RECODE
 reg
  ('13'=0)  ('01'=1)  ('02'=2)  ('03'=3)  ('04'=4)  ('05'=5)  ('06'=6) ('07'=7)
  ('08'=8)  ('09'=9)  ('10'=10) ('11'=11) ('12'=12) ('14'=14) ('15'=15) ('16'=16) INTO  regx .
EXECUTE .

VARIABLE LABELS regx 'REGION'.
VALUE LABELS regx
	0 "NCR"
	1 "Region I"
	2 "Region II"
	3 "Region III"
	4 "Region IV"
	5 "Region V"
	6 "Region VI"
	7 "Region VII"
	8 "Region VIII"
	9 "Region IX"
	10 "Region X"
	11 "Region XI"
	12 "Region XII"
	14 "CAR"
	15 "ARMM"
	16 "Caraga".
EXECUTE. 

VARIABLE LABELS prov 'PROVINCE'.
VALUE LABELS prov
            '39' "MANILA"
	'74' "SECOND DISTRICT"
	'75' "THIRD DISTRICT"
	'76' "FOURTH DISTRICT"
	'28' "ILOCOS NORTE"
	'29' "ILOCOS SUR"
	'33' "LA UNION"
	'55' "PANGASINAN"
	'09' "BATANES"
	'15' "CAGAYAN"
	'31' "ISABELA"
	'50' "NUEVA VIZCAYA"
	'57' "QUIRINO"
	'08' "BATAAN"
	'14' "BULACAN"
	'49' "NUEVA ECIJA"
	'54' "PAMPANGA"
	'69' "TARLAC"
	'71' "ZAMBALES"
	'10' "BATANGAS"
	'21' "CAVITE"
	'34' "LAGUNA"
	'40' "MARINDUQUE"
	'51' "OCCIDENTAL MINDORO"
	'52' "ORIENTAL MINDORO"
	'53' "PALAWAN"
	'56' "QUEZON"
	'58' "RIZAL"
	'59' "ROMBLON"
	'77' "AURORA"
	'05' "ALBAY"
	'16' "CAMARINES NORTE"
	'17' "CAMARINES SUR"
	'20' "CATANDUANES"
	'41' "MASBATE"
	'62' "SORSOGON"
	'04' "AKLAN"
	'06' "ANTIQUE"
	'19' "CAPIZ"
	'30' "ILOILO"
	'45' "NEGROS OCCIDENTAL"
	'79' "GUIMARAS"
	'23' "DAVAO (DAVAO DEL NORTE)"
	'24' "DAVAO DEL SUR"
	'25' "DAVAO ORIENTAL"
	'63' "SOUTH COTABATO"
	'80' "SARANGANI"
	'35' "LANAO DEL NORTE"
	'47' "COTABATO (NORTH COTABATO)"
	'65' "SULTAN KUDARAT"
	'98' "COTABATO/MARAWI"
	'02' "AGUSAN DEL NORTE"
	'03' "AGUSAN DEL SUR"
	'67' "SURIGAO DEL NORTE"
	'68' "SURIGAO DEL SUR"
	'01' "ABRA"
	'11' "BENGUET"
	'27' "IFUGAO"
	'32' "KALINGA"
	'44' "MOUNTAIN PROVINCE"
	'81' "APAYAO"
	'36' "LANAO DEL SUR"
	'38' "MAGUINDANAO"
	'66' "SULU"
	'70' "TAWI-TAWI"
	'13' "BUKIDNON"
	'18' "CAMIGUIN"
	'42' "MISAMIS OCCIDENTAL"
	'43' "MISAMIS ORIENTAL"
	'07' "BASILAN"
	'72' "ZAMBOANGA DEL NORTE"
	'73' "ZAMBOANGA DEL SUR"
	'26' "EASTERN SAMAR"
	'37' "LEYTE"
	'48' "NORTHERN SAMAR"
	'60' "SAMAR (WESTERN SAMAR)"
	'64' "SOUTHERN LEYTE"
	'78' "BILIRAN"
	'12' "BOHOL"
	'22' "CEBU"
	'46' "NEGROS ORIENTAL"
	'61' "SIQUIJOR".
EXECUTE. 

VARIABLE LABELS psic_r  INDUSTRY.
VALUE LABELS psic_r
	'C10'	'Metallic Ore Mining'	
	'C11'	'Non-Metallic Ore Mining'	
	'D15'	'Mfg of Food Products'	
	'D155'	'Mfg of Beverages'	
	'D16'	'Mfg of Tobacco Products'	
	'D17'	'Mfg of Textiles'	
	'D18'	'Mfg of Wearing Apparel'	
	'D19'	'Mfg of Luggage & Handbags'	
	'D192'	'Mfg of Footwear	'
	'D20'	'Mfg of Articles of Bamboo, Cane'	
	'D201'	'Mfg of Wood, Wood Products'	
	'D21'	'Mfg of Paper & Paper Products'	
	'D22'	'Publishing, Printing & Reproduction'	
	'D23'	'Mfg of Coke, Refined Petroleum'	
	'D24'	'Mfg of Chemicals & Chemical Prods'	
	'D251'	'Mfg of Rubber Products	'
	'D252'	'Mfg of Plastic Products'	
	'D261'	'Mfg of Glass & Glass Products'	
	'D262'	'Mfg of Cement'	
	'D269'	'Mfg of Non-MetallicMineral Products'	
	'D27'	'Mfg of Basic Metals'	
	'D28'	'Mfg of Fabricated Metal Products'	
	'D29'	'Mfg of Machinery & Equipment'	
	'D30'	'Mfg of Office, Acctg & Computing'	
	'D31'	'Mfg of Electrical Machinery & Apparatus'	
	'D32'	'Mfg of Radio. TV & Comm Equipt'	
	'D33'	'Mfg of Medical, Precision & Optical'	
	'D34'	'Mfg of Motor Vehicles, Trailers'	
	'D35'	'Mfg of Other Transport Equipment'	
	'D36'	'Mfg & Repair of Furniture'	
	'D37'	'Recycling'	
	'D39'	'Mfg, N.E.C.'	
	'E40'	'Elec, Gas, Steam & Hot Water'	
	'E41'	'Collection, Purification & Dist of Water'	
	'F45'	'Construction'	
	'G50'	'Sale, Maintenance & Repair of Motor'	
	'G51'	'Wholesale Trade & Comm Trade'	
	'G52'	'Retail Trade, Except of Motor Vehicle'	
	'H55'	'Hotel & Restaurants'	
	'I60'	'Land Transport'	
	'I61'	'Water Transport'	
	'I62'	'Air Transport'	
	'I63'	'Supporting & Auxiliary Transport Act'	
	'I64'	'Post & Telecommunications'	
	'J65'	'Banking Institutions'	
	'J66'	'Non-Bank Financial Intermediation'	
	'J67'	'Insurance & Pension Funding'	
	'J68'	'Activities Auxiliary to Financial Interm'	
	'K70'	'Real Estate Activities'
	'K71'	'Renting of Machinery & Equiptment'	
	'K72'	'Computer & Related Activities'	
	'K73'	'Research & Development'	
	'K74'	'Miscellaneous Business Activities'	
	'M81'	'Private Education Services'	
	'N85'	'Health & Social Work'	
	'O90'	'Sewage & Refuse Disposal'	
	'O92'	'Recreational, Cultural & Sporting Act'	
	'O93'	'Other Service Activities'.	
EXECUTE. 

SAVE OUTFILE='C:\Survey Data\Irws\IRWSTATUS.sav'
   /COMPRESSED.
Execute.

USE ALL.
COMPUTE filter_$=(status = "RET" and psic_r = "D32").
VARIABLE LABEL filter_$ 'status = "RET" and psic_r = "D32" (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SORT CASES BY
  filter_$ (D) .
