************************************************************************************.
*  Program Name:		VALPROOF2.SPS.
*  Description:			This program prints validation prooflist
* 				from B.1 to B2.5.12.
*  Author:			faj118.
************************************************************************************.

GET
  FILE='C:\Survey Data\IRWS\Dbf\1999IRWS.sav'.
EXECUTE .

*********** FROM B.1 TO B.4 ***********
USE ALL.
COMPUTE filter_$=(ein >7929).
VARIABLE LABEL filter_$ 'ein >7929 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=ein b11_1 b11_2 b11_3 b11_4 b11_5 b11_6 b121 b122 b123 b124 b125
  b126 b127 b128 b129 b129s1 b129s2 b129s3 b131 b132 b133 b134 b135 b141a
  b141y b142a b142y b143a b143y b144a b144y b145a b145y
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='1999 INDUSTRIAL RELATIONS AT THE WORKPLACE SURVEY VALIDATION PROOFLIST - PART 2'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*********** FROM B2.1 TO B2.5 ***********
USE ALL.
COMPUTE filter_$=(ein >7929).
VARIABLE LABEL filter_$ 'ein >7929 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=ein b21 b21no b221 b222 b223 b224 b225 b226 b231 b232 b233 b234
  b235 b236 b237 b238 b241 b242 b243 b244 b245 b246 b247 b248 b249 b2410 b2411
  b2412 b2412s1 b2412s2 b2412s3 b251 b251n b252 b252n b253 b253n b254 b254n
  /FORMAT=VALIDLIST NOCASENUM TOTAL 
  /TITLE='1999 INDUSTRIAL RELATIONS AT THE WORKPLACE SURVEY - PART 2'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*********** FROM B2.5.5 TO B2.5.12 ***********
USE ALL.
COMPUTE filter_$=(ein >7929).
VARIABLE LABEL filter_$ 'ein >7929 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=ein b255 b255n b256 b256n b257 b257n b258 b258n b259 b259n b2510 b2510n 
  b2511 b2511n b2512 b2512n b2512s1 b2512s1n b2512s2 b2512o2n b2512s3 b2512o3n
  /FORMAT=VALIDLIST NOCASENUM TOTAL 
  /TITLE='1999 INDUSTRIAL RELATIONS AT THE WORKPLACE SURVEY - PART 2'
  /MISSING=VARIABLE
  /CELLS=COUNT .
