*******************************************************************.
* Program:	YEAR_ADOPT.SPS.
* Description:	This program generates statistical tables
*		for single variable. 
* Author:	faj118.
*******************************************************************.
GET
  FILE='C:\Survey Data\IRWS\Dbf\PART3_BUF.sav'.

WEIGHT
  BY buf .

USE ALL.
COMPUTE filter_$=(e1 = 1).
VARIABLE LABEL filter_$ 'e1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a61 > ( e3 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e3( F5.0 ) 'Number')
  cpct( e3( PCT5.1 ) 'Percent')
 /TITLE  'Table E3A.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' TYPE OF OWNERSHIP, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY a7 > ( e3 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e3( F5.0 ) 'Number')
  cpct( e3( PCT5.1 ) 'Percent')
 /TITLE  'Table E3B.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' WITH OR WITHOUT UNION, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic + $t000001 + psic1 + $t000002  BY ( e3 + $t000003  )  BY
  ate + $t000004
  /STATISTICS
  count( e3( F5.0 ) 'Number')
  cpct( e3( PCT5.1 ) 'Percent')
 /TITLE  'Table E3C.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' WITH OR WITHOUT UNION, INDUSTRY AND EMPLOYMENT GROUP, PHILIPPINES: 1999'.

******** This will generate 1-digit industry ********.
***** TYPE OF OWNERSHIP *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a61 > ( e3 + $t000003  ) 
  /STATISTICS
  count( e3( F5.0 ) 'Number')
  cpct( e3( PCT5.1 ) 'Percent')
 /TITLE  'Table E3D.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' TYPE OF OWNERSHIP, INDUSTRY GROUP, PHILIPPINES: 1999'.

***** WITH OR WITHOUT UNION *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY a7 > ( e3 + $t000003  )  
  /STATISTICS
  count( e3( F5.0 ) 'Number')
  cpct( e3( PCT5.1 ) 'Percent')
 /TITLE  'Table E3E.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' WITH OR WITHOUT UNION, INDUSTRY, PHILIPPINES: 1999'.

***** ALL *****.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total" $t000003 "Total" $t000004
  "Total"
  /TABLE=psic1 + $t000002  BY ( e3 + $t000003  )  
  /STATISTICS
  count( e3( F5.0 ) 'Number')
  cpct( e3( PCT5.1 ) 'Percent')
 /TITLE  'Table E3F.  NUMBER OF RESPONDING ESTABLISHMENTS BY'+
 ' YEAR ADOPTING THE COPING MECHANISMS,'+
 ' INDUSTRY, PHILIPPINES: 1999'.
