GET
  FILE='C:\Survey Data\IRWS\Dbf\PART2_BUF.sav'.

*********** Leave Benefits ***********.
USE ALL.
COMPUTE filter_$=(a7 = 2 and (c4l1=1 or c4l2=1 or c4l3=1 or c4l4=1 or c4l5=1
  or c4l6=1 or c4l7=1 or c4l8=1 or c4l9=1 or c4l10=1)).
VARIABLE LABEL filter_$ 'a7 = 2 and (c4l1=1 or c4l2=1 or c4l3=1 or c4l4=1 or'+
 ' c4l5=1 or c4l6=1 or c4l7=1 or c4l8=1 or c4l9=1 or c4l10=1) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SORT CASES BY
  filter_$ (D) .

SUMMARIZE
  /TABLES=ein c4l1 c4l2 c4l3 c4l4 c4l5 c4l6 c4l7 c4l8 c4l9 c4l10
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='IRWS - Case Summaries (Leave Benefits)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*********** Allowances, Bonuses & Gratuities ***********.
USE ALL.
COMPUTE filter_$=(a7 = 2 and (c4a1=1 or c4a2=1 or c4a3=1 or c4a4=1 or c4a5=1
  or c4a6=1 or c4a7=1 or c4a8=1 or c4a9=1 or c4a10=1 or c4a11=1 or c4a12s1c=1
  or c4a12s2c=1 or c4a12s3c=1)).
VARIABLE LABEL filter_$ 'a7 = 2 and (c4a1=1 or c4a2=1 or c4a3=1 or c4a4=1 or'+
 ' c4a5=1 or c4a6=1 or c4a7=1 or c4a8=1 or c4a9=1 or c4a10=... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SORT CASES BY
  filter_$ (D) .

SUMMARIZE
  /TABLES=ein c4a1 c4a2 c4a3 c4a4 c4a5 c4a6 c4a7 c4a8 c4a9 c4a10 c4a11 c4a12s1c c4a12s2c c4a12s3c
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='IRWS - Case Summaries (Allowances, Bonuses & Gratuities)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

********** Social Security Schemes *********.
USE ALL.
COMPUTE filter_$=(a7 = 2 and (c4s1=1 or c4s2=1 or c4s3=1 or c4s4=1 or c4s5=1
  or c4s6=1 or c4s7=1 or c4s8=1 or c4s9=1 or c4s10s1c=1
  or c4s10s2c=1 or c4s10s3c=1)).
VARIABLE LABEL filter_$ 'a7 = 2 and (c4s1=1 or c4s2=1 or c4s3=1 or c4s4=1 or'+
 ' c4s5=1 or c4s6=1 or c4s7=1 or c4s8=1 or c4s9=1 or c4s10=... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SORT CASES BY
  filter_$ (D) .

SUMMARIZE
  /TABLES=ein c4s1 c4s2 c4s3 c4s4 c4s5 c4s6 c4s7 c4s8 c4s9 c4s10s1c c4s10s2c c4s10s3c
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='IRWS - Case Summaries (Social Security Schemes)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*********** Other Welfare Benefits *********.
USE ALL.
COMPUTE filter_$=(a7 = 2 and (c4o1=1 or c4o2=1 or c4o3=1 or c4o4=1 or c4o5=1
  or c4o6=1 or c4o7=1 or c4o8=1 or c4o9=1 or c4o10=1 or c4o11=1 or c4o12s1c=1
  or c4o12s2c=1 or c4o12s3c=1 or c4o13s1c=1 or c4o13s2c=1 or c4o13s3c=1)).
VARIABLE LABEL filter_$ 'a7 = 2 and (c4o1=1 or c4o2=1 or c4o3=1 or c4o4=1 or'+
 ' c4o5=1 or c4o6=1 or c4o7=1 or c4o8=1 or c4o9=1 or c4o10=... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SORT CASES BY
  filter_$ (D) .

SUMMARIZE
  /TABLES=ein c4o1 c4o2 c4o3 c4o4 c4o5 c4o6 c4o7 c4o8 c4o9 c4o10 c4o11 c4o12s1c c4o12s2c c4o12s3c c4o13s1c c4o13s2c c4o13s3c
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='IRWS - Case Summaries (Other Welfare Benefits)'
  /MISSING=VARIABLE
  /CELLS=COUNT .